<?php

fastwp_gems_add_body_class( 'pageBorder' );

$fastwp_gems_options = fastwp_gems_get_option( array( 'e404_menu', 'e404_text', 'e404_page_id', 'e404_override', 'e404_links' ) );

$fastwp_gems_do_skip_menu = ( isset( $fastwp_gems_options['e404_menu'] ) && (boolean) $fastwp_gems_options['e404_menu'] ) ? false : true;

FastwpgemsSettings::set_var( 'do_skip_menu', $fastwp_gems_do_skip_menu );

get_header();

if( isset( $fastwp_gems_options['e404_override'] ) && (boolean) $fastwp_gems_options['e404_override'] && $fastwp_gems_options['e404_page_id'] != '' ) {

	$page = get_page( $fastwp_gems_options['e404_page_id'] );

	echo ( isset( $page->post_content ) ? apply_filters( 'the_content', $page->post_content ) : '' );

} else { ?>

<div class="row">
<div class="marginTop marginBottom clearfix">

  <div class="small-12 medium-4 columns">
    <div class="errorBox boxShadow bgBlack">
      <div class="errorType">
        <p>404 <br> <?php echo esc_html__( 'Error', 'gems' ); ?></p>
      </div>
    </div>
  </div>

  <div class="small-12 medium-6 columns">
    <h3 class="title"><?php echo esc_html__( 'Page Not Found', 'gems' ); ?></h3>
    <p class="lead"><?php echo FastwpGemsUtils::fwp_escape( $fastwp_gems_options['e404_text'] ); ?></p>

    <div class="paddingTop">
      <a class="button hollow" href="<?php echo esc_url( home_url( '/' ) ); ?>"><span class="icon-home iconLeft"></span><?php echo esc_html__( 'Back to Home Page', 'gems' ); ?></a>
    </div>
  </div>

</div>
</div>

<?php }

get_footer();
