<?php

/*
 * The template for displaying Comments
 * The area of the page that contains comments and the comment form.

 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */

if ( post_password_required() || ( !have_comments() && !comments_open() ) ) return;

do_action( 'gems-output-comment-number-markup' );

?>

<div class="postComments">

<?php if ( have_comments() ) { ?>

<div class="row">
  <div class="small-12 columns">
    <div class="divider"></div>
  </div>
</div>

<h5 class="title"><?php esc_html_e( 'Feedback', 'gems' ); ?></h5>

<ol class="commentList clearfix">
<?php wp_list_comments( array( 'callback' => 'fastwp_gems_comment', 'end-callback' => 'fastwp_gems_comment_close_tag', 'style' => '' ) ); ?>
</ol>

<?php

$fastwp_gems_prev_comments = get_previous_comments_link( '<span class="icon-arrow-left"></span> ' . esc_html__( 'Previous Comments', 'gems' ) );
$fastwp_gems_next_comments = get_next_comments_link( esc_html__( 'Next Comments', 'gems' ) . ' <span class="icon-arrow-right"></span></span>' );

if( !empty( $fastwp_gems_prev_comments ) || !empty( $fastwp_gems_next_comments ) ) { ?>

<div class="row padding stretched">
    <div class="small-12 columns">
        <div class="commentsNav">
            <div class="row">
                <div class="small-6 columns">
                    <?php echo ( !empty( $fastwp_gems_prev_comments ) ? str_replace( '<a', '<a class="pagination-previous"', $fastwp_gems_prev_comments ) : '' ); ?>
                </div>
                <div class="small-6 columns text-right">
                    <?php echo ( ( !empty( $fastwp_gems_next_comments ) ? str_replace( '<a', '<a class="pagination-next"', $fastwp_gems_next_comments ) : '' ) ); ?>
                </div>
            </div>
        </div>
    </div>
</div>

<?php } ?>

<?php if ( !comments_open() && get_comments_number() ) { ?>
    <p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'gems' ); ?></p>
<?php } ?>

<?php } ?>

<div class="marginTop marginBottom">
    <h6><?php esc_html_e( 'Leave Your Comment', 'gems' ); ?></h6>
    <?php fastwp_gems_comment_form(); ?>
</div>

</div>
