<?php

/**
The template for displaying posts in grid layout.
*/

$fastwp_gems_options = fastwp_gems_get_option( array( 'fwp_blog_date_meta' ) );

$fastwp_gems_is_sticky = is_sticky() && !is_search() && (int) $paged < 2 ? true : false;

?>

<div class="blogItem<?php echo ( $fastwp_gems_is_sticky ? ' post-is-sticky' : '' ); ?>">
  <div class="row">
    <div class="small-12 medium-4 columns">
      <div class="blogItemMeta">
        <p class="postCategory"><?php echo fastwp_gems_get_category_list( 'true', ', ' ); ?></p>
        <?php echo ( !empty( $fastwp_gems_options['fwp_blog_date_meta'] ) ? '<p class="postDate">' . get_the_date() . '</p>' : '' ); ?>
      </div>
    </div>

    <div class="small-12 medium-8 columns">
      <h3 class="postHeadline"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
      <p><?php the_excerpt(); ?></p>
      <div class="link">
        <a href="<?php the_permalink(); ?>"><?php echo esc_html__( 'Read More', 'gems' ); ?> <span class="icon-arrow-right"></span></a>
      </div>
    </div>
  </div>
</div>