<?php

// load all the options
$fastwp_gems_options = fastwp_gems_get_option( array( 'fwp_blog_single_sidebar', 'fwp_blog_date_meta', 'fwp_single_nav', 'fwp_single_author_info', 'fwp_share_username' ) );

$fastwp_gems_sb_right = $fastwp_gems_sb_left = false;
if( !empty( $fastwp_gems_options['fwp_blog_single_sidebar'] ) ) {
    switch( $fastwp_gems_options['fwp_blog_single_sidebar'] ) {
        case 1: $fastwp_gems_sb_right = true; break;
        case 2: $fastwp_gems_sb_left = true; break;
    }
}

if( has_post_thumbnail() && !post_password_required() && !is_attachment() ) { ?>
<div class="heroWrapper relPosition">
    <div class="heroBlog bgBlack" style="background-image: url('<?php echo the_post_thumbnail_url( 'full' ); ?>'); background-position: 50% 50%;"></div>
</div>
<?php } ?>

<div class="postMeta">
    <div class="row">
      <div class="small-12 columns noPadding">
        <div class="blogItemMeta">
          <p class="postCategory"><?php echo fastwp_gems_get_category_list( false, ', ' ); ?></p>
          <?php echo ( !empty( $fastwp_gems_options['fwp_blog_date_meta'] ) ? '<p class="postDate">' . get_the_date() . '</p>' : '' ); ?>
        </div>
      </div>
    </div>
</div>

<div class="row">

<?php if( $fastwp_gems_sb_left ) { ?>
<div class="small-12 medium-12 large-3 columns blogSidebar">
    <?php get_sidebar(); ?>
</div>
<?php } ?>

<div class="small-12 medium-12 large-<?php echo ( $fastwp_gems_sb_left || $fastwp_gems_sb_right ? 8 : 12 ); ?> columns noPadding">
  <div class="postContent" id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

    <h2><strong><?php the_title(); ?></strong></h2>

    <div class="postEntry">
        <?php $fastwp_gems_pt = get_post_format();
        if( in_array( $fastwp_gems_pt, array( 'video', 'gallery', 'audio' ) ) ) {
            get_template_part( '/extend-helpers/types/' . $fastwp_gems_pt );
        }

        the_content();

        wp_link_pages(); ?>
    </div>

    <?php if( (boolean) $fastwp_gems_options['fwp_single_nav'] ) echo fastwp_gems_post_pagination( true ); ?>


    <?php if( (boolean) $fastwp_gems_options['fwp_single_author_info'] ) { ?>

    <div class="row">
      <div class="small-12 columns">
        <div class="divider"></div>
      </div>
    </div>

    <div class="authorBox row relPosition">
      <div class="small-12 medium-2 columns noPadding">
        <div class="authorImg imgShadow">
          <?php echo get_avatar( get_the_author_meta( 'ID' ), 150 ); ?>
        </div>
      </div>

      <div class="small-12 medium-10 columns noPadding">
        <div class="authorContent bgGray">
          <h6><?php echo get_the_author_meta( 'user_firstname' ) . ' ' . get_the_author_meta( 'user_lastname' ); ?></h6>
          <p><?php echo get_the_author_meta( 'description' ); ?></p>
          <div>
            <?php echo fastwp_gen_author_social_networks(); ?>
          </div>
        </div>
      </div>
    </div>

    <?php }

    echo fastwp_gems_related_posts();


    comments_template(); ?>

  </div>
</div>

<?php if( $fastwp_gems_sb_right ) { ?>
<div class="small-12 medium-12 large-3 push-1 columns blogSidebar">
    <?php get_sidebar(); ?>
</div>
<?php } ?>

</div>