<?php


add_filter( 'get_search_form', array( 'FastwpGemsExtendFilters', 'search_form' ), 10, 2 );
add_filter( 'the_password_form', array( 'FastwpGemsExtendFilters', 'password_protected_form' ), 10, 2 );
add_filter( 'tiny_mce_before_init', array( 'FastwpGemsExtendFilters', 'override_mce_options' ), 10, 2 );
add_filter( 'vc_shortcodes_css_class', array( 'FastwpGemsExtendFilters', 'custom_css_classes_for_vc_row_and_vc_column' ), 10, 2 );

class FastwpGemsExtendFilters {

    public static function search_form() {
        return '<div class="sidebarWidget">
        <form role="search" method="get" action="' . esc_url( home_url( '/' ) ) . '">
            <input name="s" class="form-control" value="" placeholder="' . esc_html__( 'type &amp; hit enter...', 'gems' ) . '" type="text">
        </form>
        </div>';
    }

    public static function password_protected_form() {
        return '<div class="field-wrapper">
        <form role="search" method="post" class="search-form" action="' . esc_url( site_url( 'wp-login.php?action=postpass', 'login_post' ) ) . '">
    		<input name="s" class="form-search form-element" placeholder="' . esc_html__( 'type password &amp; hit enter...', 'gems' ) . '" type="text">
    		<span class="border"></span>
        </form>
        </div>';
    }

    public static function override_mce_options( $initArray ) {
        $opts = '*[*]';
        $initArray['valid_elements'] = $opts;
        $initArray['extended_valid_elements'] = $opts;
        return $initArray;
    }

    public static function custom_css_classes_for_vc_row_and_vc_column( $class_string, $tag ) {
        if( $tag == 'vc_row' || $tag == 'vc_row_inner' ) {
            $class_string = str_replace( array( 'vc_row', 'wpb_row', 'row-fluid', 'vc_row-fluid', 'vc_inner' ), array( 'row', '', '', '', '' ), $class_string );
        }

        if( $tag == 'vc_column' || $tag == 'vc_column_inner' ) {
            $class_string = str_replace( array( 'vc_column_container', 'wpb_column', 'vc_column-inner' ), array( 'columns', '', '' ), $class_string );
            $class_string = preg_replace( '/vc_col-sm-(\d{1,2})/', 'small-$1', $class_string );
            $class_string = preg_replace( '/vc_col-md-(\d{1,2})/', 'medium-$1', $class_string );
            $class_string = preg_replace( '/vc_col-lg-(\d{1,2})/', 'large-$1', $class_string );
        }

        return $class_string;
    }

}
