<?php

class FastwpGemsShortcodeUtils {

    public static $vars = array();

    public static function set_vars( $vars ) {
        self::$vars = $vars;
    }

    public static function get_vars() {
        return self::$vars;
    }

	public static function is_valid( $type = '', $var = '', $var_default = '', $show_list = false, $flip_list = false ) {
	    if( is_bool( $var ) )	$show_list = $var;
	    if( is_bool( $var_default ) ) $flip_list = $var_default;

	    switch( $type ) {
	        case 'colors':
	    	    $list = array( 'bgColor' => 'Color', 'bgGray' => 'Gray', 'bgWhite' => 'White', 'bgBlack' => 'Black' );
	    	    if( $show_list ) return ( $flip_list ? array_flip( $list ) : $list );
	    	    else return in_array( $var, array_keys( $list ) ) ? $var : $var_default;
	        break;
	        case 'text_align':
	    	    $list = array( 'text-left' => 'Left', 'text-center' => 'Center', 'text-right' => 'Right' );
	    	    if( $show_list ) return ( $flip_list ? array_flip( $list ) : $list );
	    	    else return in_array( $var, array_keys( $list ) ) ? $var : $var_default;
	        break;
	        case 'h_tag':
	    	    $list = array( 'h1' => 'H1', 'h2' => 'H2', 'h3' => 'H3', 'h4' => 'H4', 'h5' => 'H5', 'h6' => 'H6' );
	    	    if( $show_list ) return ( $flip_list ? array_flip( $list ) : $list );
	    	    else return in_array( $var, array_keys( $list ) ) ? $var : $var_default;
	        break;
	        case 'animations':
	    	    $list = array( 'bounce' => 'bounce', 'flash' => 'flash', 'pulse' => 'pulse', 'rubberBand' => 'rubberBand', 'shake' => 'shake', 'headShake' => 'headShake', 'swing' => 'swing',
                'tada' => 'tada', 'wobble' => 'wobble', 'jello' => 'jello', 'bounceIn' => 'bounceIn', 'bounceInDown' => 'bounceInDown', 'bounceInLeft' => 'bounceInLeft', 'bounceInRight' => 'bounceInRight',
                'bounceInUp' => 'bounceInUp', 'bounceOut' => 'bounceOut', 'bounceOutDown' => 'bounceOutDown', 'bounceOutLeft' => 'bounceOutLeft', 'bounceOutRight' => 'bounceOutRight', 'bounceOutUp' => 'bounceOutUp',
                'fadeIn' => 'fadeIn', 'fadeInDown' => 'fadeInDown', 'fadeInDownBig' => 'fadeInDownBig', 'fadeInLeft' => 'fadeInLeft', 'fadeInLeftBig' => 'fadeInLeftBig', 'fadeInRight' => 'fadeInRight',
                'fadeInRightBig' => 'fadeInRightBig', 'fadeInUp' => 'fadeInUp', 'fadeInUpBig' => 'fadeInUpBig', 'fadeOut' => 'fadeOut', 'fadeOutDown' => 'fadeOutDown', 'fadeOutDownBig' => 'fadeOutDownBig',
                'fadeOutLeft' => 'fadeOutLeft', 'fadeOutLeftBig' => 'fadeOutLeftBig', 'fadeOutRight' => 'fadeOutRight', 'fadeOutRightBig' => 'fadeOutRightBig', 'fadeOutUp' => 'fadeOutUp', 'fadeOutUpBig' => 'fadeOutUpBig',
                'flipInX' => 'flipInX', 'flipInY' => 'flipInY', 'flipOutX' => 'flipOutX', 'flipOutY' => 'flipOutY', 'lightSpeedIn' => 'lightSpeedIn', 'lightSpeedOut' => 'lightSpeedOut', 'rotateIn' => 'rotateIn',
                'rotateInDownLeft' => 'rotateInDownLeft', 'rotateInDownRight' => 'rotateInDownRight', 'rotateInUpLeft' => 'rotateInUpLeft', 'rotateInUpRight' => 'rotateInUpRight', 'rotateOut' => 'rotateOut',
                'rotateOutDownLeft' => 'rotateOutDownLeft', 'rotateOutDownRight' => 'rotateOutDownRight', 'rotateOutUpLeft' => 'rotateOutUpLeft', 'rotateOutUpRight' => 'rotateOutUpRight', 'hinge' => 'hinge',
                'jackInTheBox' => 'jackInTheBox', 'rollIn' => 'rollIn', 'rollOut' => 'rollOut', 'zoomIn' => 'zoomIn', 'zoomInDown' => 'zoomInDown', 'zoomInLeft' => 'zoomInLeft', 'zoomInRight' => 'zoomInRight',
                'zoomInUp' => 'zoomInUp', 'zoomOut' => 'zoomOut', 'zoomOutDown' => 'zoomOutDown', 'zoomOutLeft' => 'zoomOutLeft', 'zoomOutRight' => 'zoomOutRight', 'zoomOutUp' => 'zoomOutUp', 'slideInDown' => 'slideInDown',
                'slideInLeft' => 'slideInLeft', 'slideInRight' => 'slideInRight', 'slideInUp' => 'slideInUp', 'slideOutDown' => 'slideOutDown', 'slideOutLeft' => 'slideOutLeft', 'slideOutRight' => 'slideOutRight', 'slideOutUp' => 'slideOutUp' );
	    	    if( $show_list ) return ( $flip_list ? array_flip( $list ) : $list );
	    	    else return in_array( $var, array_keys( $list ) ) ? $var : $var_default;
	        break;
	        case 'transitions':
	    	    $list = array( 'fade' => 'fade', 'slide' => 'slide', 'verticalSlide' => 'verticalSlide', 'slideLeft' => 'slideLeft', 'slideRight' => 'slideRight', 'slideUp' => 'slideUp', 'slideDown' => 'slideDown', 'slideRevealLeft' => 'slideRevealLeft',
                'slideRevealRight' => 'slideRevealRight', 'slideOverLeft' => 'slideOverLeft', 'slideOverRight' => 'slideOverRight', 'expandReveal' => 'expandReveal', 'shrinkReveal' => 'shrinkReveal', 'verticalSplitReveal' => 'verticalSplitReveal',
                'horizontalSplitReveal' => 'horizontalSplitReveal', 'zipReveal' => 'zipReveal', 'barRevealDown' => 'barRevealDown', 'barRevealUp' => 'barRevealUp', 'barReveal' => 'barReveal', 'blocksReveal' => 'blocksReveal', 'fold' => 'fold',
                'foldLeft' => 'foldLeft', 'foldRight' => 'foldRight' );
	    	    if( $show_list ) return ( $flip_list ? array_flip( $list ) : $list );
	    	    else return in_array( $var, array_keys( $list ) ) ? $var : $var_default;
	        break;
            default:
                return array();
            break;
 		}
	}

	public static function add_css( $css = '' ) {
        global $fastwp_gems_custom_shortcode_css;
        $fastwp_gems_custom_shortcode_css .= $css;
    }

    public static function video_source( $url = '', $links = array( 'youtube' => '', 'vimeo' => '' ) ) {
        if( !isset( $links['youtube'] ) || !isset( $links['vimeo'] ) ) return $url;
    	if( preg_match( '/http(s)?:\/\/(www.)?youtube.com/i', $url ) ) {
    	    preg_match( '/http(s)?:\/\/(www.)?youtube.com\/watch\?v=([a-z0-9-_]+)/i', $url, $video );
            if( isset( $video[3] ) ) {
                return array( 'link' => sprintf( $links['youtube'], $video[3] ), 'type' => 'youtube' );
            }
    	} else if( preg_match( '/http(s)?:\/\/(www.)?youtu.be/i', $url ) ) {
    	    preg_match( '/http(s)?:\/\/(www.)?youtu.be\/([a-z0-9-_]+)/i', $url, $video );
            if( isset( $video[3] ) ) {
                return array( 'link' => sprintf( $links['youtube'], $video[3] ), 'type' => 'youtube' );
            }
    	} else if( preg_match( '/http(s)?:\/\/(www.)?vimeo.com/i', $url ) ) {
    	    preg_match( '/http(s)?:\/\/(www.)?vimeo.com\/([0-9]+)/i', $url, $video );
            if( isset( $video[3] ) ) {
                return array( 'link' => sprintf( $links['vimeo'], $video[3] ), 'type' => 'vimeo' );
            }
    	}
        return array( 'link' => $url );
    }

}


