<?php

if( !function_exists( 'fastwp_gems_get_PostIdAndTitle' ) ) {
	function fastwp_gems_get_PostIdAndTitle($post_type = 'page', $value_first = false){
		global $wpdb;
		$sql = $wpdb->prepare("SELECT post_title, ID from $wpdb->posts WHERE `post_type` = '%s' AND `post_status`='publish' ORDER BY `post_title` ASC;",
			$post_type);
		$result = $wpdb->get_results( $sql, ARRAY_A );
		$output = array();
		$output['None'] = '';
		if(isset($result) && is_array($result)){
			foreach($result as $item){
				if($value_first == true){
					$key = $item['post_title'];
					$value=$item['ID'];
				}else {
					$key = $item['ID'];
					$value=$item['post_title'];
				}
				$output[$key] = $value;
			}
		}
		return $output;
	}
}

if( !function_exists( 'fastwp_gems_get_categories' ) ) {
    function fastwp_gems_get_categories( $isPortfolioFilter = false, $key = 'portfolio-category' ){
        do_action('fwp_custom_tax_set');
        $terms = get_terms( array( 'taxonomy' => $key, 'hide_empty' => 0 ) );

        $categories = array();
        if( $isPortfolioFilter == true ) {
            $categories['None / Show All'] = '*';
            foreach( $terms as $k => $v ) {
            if(isset($v->name) && isset($v->slug))
            	$categories[$v->name] = '.' . $v->slug;
            }
        } else {
            foreach( $terms as $k => $v ) {
            if( isset( $v->name ) && isset( $v->term_id ) )
            	$categories[$v->name] = $v->term_id;
            }
        }

        return $categories;
    }
}

global $fastwp_gems_visual_composer_param_blocks;
$fastwp_gems_visual_composer_param_blocks = array(

	    array( 'id' => 'vc_row', 'params' => array(

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Row Options', 'gems' ),
			'heading' 		=> esc_html__( 'Row Type', 'gems' ),
			'param_name' 	=> 'row_type',
        	'value'			=> array( esc_html__( 'Use normal row', 'gems' ) => '', esc_html__( "Do not use a row if you select this option", 'gems' ) => 1, esc_html__( 'Image Hero With Parallax', 'gems' ) => 2, esc_html__( 'Floating Container', 'gems' ) => 3 )
		),

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Row Options', 'gems' ),
			'heading' 		=> esc_html__( 'Content Type', 'gems' ),
			'param_name' 	=> 'row_hero_content',
            'value'			=> array( esc_html__( 'Over Image/Video', 'gems' ) => '', esc_html__( 'After Image', 'gems' ) => 1 ),
        	'dependency'    => array( "element" => "row_type", "value" => array( '2' ) )
		),

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Row Options', 'gems' ),
			'heading' 		=> esc_html__( 'Background Type', 'gems' ),
			'param_name' 	=> 'row_hero_type',
            'value'			=> array( esc_html__( 'Image', 'gems' ) => '', esc_html__( 'Video', 'gems' ) => 'video' ),
        	'dependency'    => array( "element" => "row_type", "value" => array( '2' ) )
		),

		array(
			'type'          => 'textfield',
            'group'         => esc_html__( 'Gems Row Options', 'gems' ),
			'heading' 		=> esc_html__( 'Video URL (without extension)', 'gems' ),
			'param_name' 	=> 'row_hero_video',
        	'dependency'    => array( "element" => "row_hero_type", "value" => array( 'video' ) )
		),

		array(
			'type'          => 'attach_image',
            'group'         => esc_html__( 'Gems Row Options', 'gems' ),
			'heading' 		=> esc_html__( 'Background Image', 'gems' ),
			'param_name' 	=> 'row_image_bg',
        	'dependency'    => array( "element" => "row_type", "value" => array( '2' ) )
		),

        /*
		array(
			'type'          => 'attach_image',
            'group'         => esc_html__( 'Gems Row Options', 'gems' ),
			'heading' 		=> esc_html__( 'Fallback Image', 'gems' ),
			'param_name' 	=> 'row_fallback_bg',
        	'dependency'    => array( "element" => "row_type", "value" => array( '4', '5', '6' ) )
		),


        array(
        	"save_always" 	=> true,
            'group'         => esc_html__( 'Gems Row Options', 'gems' ),
        	"type" 			=> 'textfield',
        	"heading" 		=> esc_html__( 'Video Source (.webm)', 'gems' ),
        	"param_name" 	=> 'row_video_webm',
        	"admin_label"	=> true,
            'dependency'    => array( "element" => "row_type", "value" => array( '4' ) )
        ),

        array(
        	"save_always" 	=> true,
            'group'         => esc_html__( 'Gems Row Options', 'gems' ),
        	"type" 			=> 'textfield',
        	"heading" 		=> esc_html__( 'Video Source (.mp4)', 'gems' ),
        	"param_name" 	=> 'row_video_mp4',
        	"admin_label"	=> true,
            'dependency'    => array( "element" => "row_type", "value" => array( '4' ) )
        ),

        array(
        	"save_always" 	=> true,
            'group'         => esc_html__( 'Gems Row Options', 'gems' ),
        	"type" 			=> 'textfield',
        	"heading" 		=> esc_html__( 'Video Source URL', 'gems' ),
        	"param_name" 	=> 'row_video_source_url',
        	"admin_label"	=> true,
            'dependency'    => array( "element" => "row_type", "value" => array( '5', '6' ) )
        ),
        */

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Row Options', 'gems' ),
			'heading' 		=> esc_html__( 'Overlay Color', 'gems' ),
			'param_name' 	=> 'row_overlay_color',
        	'value'			=> array( esc_html__( 'Default', 'gems' ) => 'hero', esc_html__( 'Black', 'gems' ) => 'heroBlack', esc_html__( 'Color', 'gems' ) => 'heroColor' ),
            'dependency'    => array( "element" => "row_type", "value" => array( '2' ) )
		),

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Row Options', 'gems' ),
			'heading' 		=> esc_html__( 'Full Screen', 'gems' ),
			'param_name' 	=> 'row_full_screen',
        	'value'			=> array( esc_html__( 'No', 'gems' ) => '', esc_html__( 'Yes', 'gems' ) => 1 ),
            'dependency'    => array( "element" => "row_type", "value" => array( '1', '2' ) )
		),

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Row Options', 'gems' ),
			'heading' 		=> esc_html__( 'Horizontal Center', 'gems' ),
			'param_name' 	=> 'horizontal_center',
        	'value'			=> array( esc_html__( 'No', 'gems' ) => '', esc_html__( 'Yes', 'gems' ) => 1 ),
            'dependency'    => array( "element" => "row_type", "value" => array( '2' ) )
		),

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Row Options', 'gems' ),
			'heading' 		=> esc_html__( 'Background Color', 'gems' ),
			'param_name' 	=> 'row_color',
        	'value'			=> ( array( esc_html__( 'Default', 'gems' ) => '' ) + FastwpGemsShortcodeUtils::is_valid( 'colors', true, true ) )
		),

        /*
		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Row Options', 'gems' ),
			'heading' 		=> esc_html__( 'Equal columns', 'gems' ),
			'param_name' 	=> 'equal_columns',
        	'value'			=> ( array( esc_html__( 'No', 'gems' ) => '', esc_html__( 'Yes', 'gems' ) => 1 ) ),
		),
       */

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Options', 'gems' ),
			'heading' 		=> esc_html__( 'Padding', 'gems' ),
			'param_name' 	=> 'row_padding',
        	'value'			=> ( array( esc_html__( 'No Padding', 'gems' ) => '', esc_html__( 'Default', 'gems' ) => 'default' ) ),
		),

		array(
			'type'          => 'checkbox',
            'group'         => esc_html__( 'Gems Options', 'gems' ),
			'heading' 		=> esc_html__( 'Extra Classes', 'gems' ),
			'param_name' 	=> 'extra',
			'value'			=> array( 'Full Row' => 'expanded', 'Padding Top' => 'paddingTop', 'Padding Bottom' => 'paddingBottom', 'Margin Top' => 'marginTop', 'Margin Bottom' => 'marginBottom', 'Clearfix' => 'clearfix' )
		),

        )

        ),

	    array( 'id' => 'vc_row_inner', 'params' => array(

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Row Options', 'gems' ),
			'heading' 		=> esc_html__( 'Row Type', 'gems' ),
			'param_name' 	=> 'inner_row_type',
        	'value'			=> array( esc_html__( 'Use normal row', 'gems' ) => '', esc_html__( "Do not use a row if you select this option", 'gems' ) => 1, esc_html__( 'Floating Container', 'gems' ) => 2 )
		),

		array(
			'type'          => 'checkbox',
            'group'         => esc_html__( 'Gems Options', 'gems' ),
			'heading' 		=> esc_html__( 'Extra Classes', 'gems' ),
			'param_name' 	=> 'inner_extra',
			'value'			=> array( 'Padding Top' => 'paddingTop', 'Padding Bottom' => 'paddingBottom', 'Margin Top' => 'marginTop', 'Margin Bottom' => 'marginBottom', 'Clearfix' => 'clearfix'  )
		),

        )

        ),

	    array( 'id' => 'vc_column', 'params' => array(

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Options', 'gems' ),
			'heading' 		=> esc_html__( 'Parallax Element', 'gems' ),
			'param_name' 	=> 'gems_parallax_elem',
        	'value'			=> ( array( esc_html__( 'No', 'gems' ) => '', esc_html__( 'Yes', 'gems' ) => 1 ) ),
		),

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Options', 'gems' ),
			'heading' 		=> esc_html__( 'Use As Box', 'gems' ),
			'param_name' 	=> 'gems_box',
        	'value'			=> ( array( esc_html__( 'No', 'gems' ) => '', esc_html__( 'Yes', 'gems' ) => 1 ) ),
		),

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Options', 'gems' ),
			'heading' 		=> esc_html__( 'Box Background', 'gems' ),
			'param_name' 	=> 'gems_box_bg',
        	'value'			=> ( array( esc_html__( 'Default', 'gems' ) => '' ) + FastwpGemsShortcodeUtils::is_valid( 'colors', true, true ) ),
            'dependency'    => array( "element" => "gems_box", "value" => array( '1' ) )
		),

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Options', 'gems' ),
			'heading' 		=> esc_html__( 'Box Shadow', 'gems' ),
			'param_name' 	=> 'gems_box_shadow',
        	'value'			=> ( array( esc_html__( 'No', 'gems' ) => '', esc_html__( 'Yes', 'gems' ) => 1 ) ),
            'dependency'    => array( "element" => "gems_box", "value" => array( '1' ) )
		),

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Options', 'gems' ),
			'heading' 		=> esc_html__( 'Parallax Box', 'gems' ),
			'param_name' 	=> 'gems_parallax_box',
        	'value'			=> ( array( esc_html__( 'No', 'gems' ) => '', esc_html__( 'Yes', 'gems' ) => 1 ) ),
            'dependency'    => array( "element" => "gems_box", "value" => array( '1' ) )
		),

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Options', 'gems' ),
			'heading' 		=> esc_html__( 'Floating Box', 'gems' ),
			'param_name' 	=> 'gems_box_floating',
        	'value'			=> ( array( esc_html__( 'No', 'gems' ) => '', esc_html__( 'Floating Left', 'gems' ) => 'floatingBoxLeft', esc_html__( 'Floating Right', 'gems' ) => 'floatingBoxRight', esc_html__( 'Intro Box', 'gems' ) => 'introBox', esc_html__( 'Intro Box Centered', 'gems' ) => 'introBoxCentered' ) ),
            'dependency'    => array( "element" => "gems_box", "value" => array( '1' ) )
		),

		array(
			'type'          => 'checkbox',
            'group'         => esc_html__( 'Gems Options', 'gems' ),
			'heading' 		=> esc_html__( 'Extra Classes', 'gems' ),
			'param_name' 	=> 'extra',
			'value'			=> array( 'Small Centered' => 'small-centered', 'Float Right' => 'float-right', 'Padding' => 'padding', 'No padding' => 'noPadding', 'Padding Top' => 'paddingTop', 'Padding Bottom' => 'paddingBottom', 'Padding Left' => 'paddingLeft', 'Padding Right' => 'paddingRight', 'Margin Top' => 'marginTop', 'Margin Bottom' => 'marginBottom', 'Clearfix' => 'clearfix' )
		),

        )

        ),

	    array( 'id' => 'vc_column_inner', 'params' => array(

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Options', 'gems' ),
			'heading' 		=> esc_html__( 'Parallax Element', 'gems' ),
			'param_name' 	=> 'inner_col_gems_parallax_elem',
        	'value'			=> ( array( esc_html__( 'No', 'gems' ) => '', esc_html__( 'Yes', 'gems' ) => 1 ) ),
		),

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Options', 'gems' ),
			'heading' 		=> esc_html__( 'Use As Box', 'gems' ),
			'param_name' 	=> 'inner_col_gems_box',
        	'value'			=> ( array( esc_html__( 'No', 'gems' ) => '', esc_html__( 'Yes', 'gems' ) => 1 ) ),
		),

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Options', 'gems' ),
			'heading' 		=> esc_html__( 'Box Background', 'gems' ),
			'param_name' 	=> 'inner_col_gems_box_bg',
        	'value'			=> ( array( esc_html__( 'Default', 'gems' ) => '' ) + FastwpGemsShortcodeUtils::is_valid( 'colors', true, true ) ),
            'dependency'    => array( "element" => "inner_col_gems_box", "value" => array( '1' ) )
		),

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Options', 'gems' ),
			'heading' 		=> esc_html__( 'Box Shadow', 'gems' ),
			'param_name' 	=> 'inner_col_gems_box_shadow',
        	'value'			=> ( array( esc_html__( 'No', 'gems' ) => '', esc_html__( 'Yes', 'gems' ) => 1 ) ),
            'dependency'    => array( "element" => "inner_col_gems_box", "value" => array( '1' ) )
		),

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Options', 'gems' ),
			'heading' 		=> esc_html__( 'Parallax Box', 'gems' ),
			'param_name' 	=> 'inner_col_gems_parallax_box',
        	'value'			=> ( array( esc_html__( 'No', 'gems' ) => '', esc_html__( 'Yes', 'gems' ) => 1 ) ),
            'dependency'    => array( "element" => "inner_col_gems_box", "value" => array( '1' ) )
		),

		array(
			'type'          => 'dropdown',
            'group'         => esc_html__( 'Gems Options', 'gems' ),
			'heading' 		=> esc_html__( 'Floating Box', 'gems' ),
			'param_name' 	=> 'inner_col_gems_box_floating',
        	'value'			=> ( array( esc_html__( 'No', 'gems' ) => '', esc_html__( 'Floating Left', 'gems' ) => 'floatingBoxLeft', esc_html__( 'Floating Right', 'gems' ) => 'floatingBoxRight', esc_html__( 'Intro Box', 'gems' ) => 'introBox', esc_html__( 'Intro Box Centered', 'gems' ) => 'introBoxCentered' ) ),   
            'dependency'    => array( "element" => "inner_col_gems_box", "value" => array( '1' ) )
		),

		array(
			'type'          => 'checkbox',
            'group'         => esc_html__( 'Gems Options', 'gems' ),
			'heading' 		=> esc_html__( 'Extra Classes', 'gems' ),
			'param_name' 	=> 'inner_col_extra',
			'value'			=> array( 'Small Centered' => 'small-centered', 'Float Right' => 'float-right', 'Padding' => 'padding', 'No padding' => 'noPadding', 'Padding Top' => 'paddingTop', 'Padding Bottom' => 'paddingBottom', 'Padding Left' => 'paddingLeft', 'Padding Right' => 'paddingRight', 'Margin Top' => 'marginTop', 'Margin Bottom' => 'marginBottom', 'Clearfix' => 'clearfix' )
		),

        )

        )

);

function vc_iconpicker_type_icomoon( $icons ) {
    // Add custom icons to array
    $icons['Icomoon'] = array(
        array( 'icon-diamond3' => esc_html__( 'Diamond3', 'gems') ),
        array( 'icon-pinterest-p' => esc_html__( 'Pinterest', 'gems') ),
        array( 'icon-whatsapp' => esc_html__( 'Whatsapp', 'gems') ),
        array( 'icon-music' => esc_html__( 'Music', 'gems') ),
        array( 'icon-heart3' => esc_html__( 'Heart3', 'gems') ),
        array( 'icon-star3' => esc_html__( 'Star3', 'gems') ),
        array( 'icon-star-o' => esc_html__( 'Star', 'gems') ),
        array( 'icon-user2' => esc_html__( 'User2', 'gems') ),
        array( 'icon-th-large2' => esc_html__( 'Th', 'gems') ),
        array( 'icon-check2' => esc_html__( 'Check2', 'gems') ),
        array( 'icon-close' => esc_html__( 'Close', 'gems') ),
        array( 'icon-cog' => esc_html__( 'Cog', 'gems') ),
        array( 'icon-home' => esc_html__( 'Home', 'gems') ),
        array( 'icon-clock-o' => esc_html__( 'Clock', 'gems') ),
        array( 'icon-lock' => esc_html__( 'Lock', 'gems') ),
        array( 'icon-flag2' => esc_html__( 'Flag2', 'gems') ),
        array( 'icon-tag' => esc_html__( 'Tag', 'gems') ),
        array( 'icon-book' => esc_html__( 'Book', 'gems') ),
        array( 'icon-image2' => esc_html__( 'Image2', 'gems') ),
        array( 'icon-edit' => esc_html__( 'Edit', 'gems') ),
        array( 'icon-chevron-left' => esc_html__( 'Chevron', 'gems') ),
        array( 'icon-chevron-right' => esc_html__( 'Chevron', 'gems') ),
        array( 'icon-times-circle-o' => esc_html__( 'Times', 'gems') ),
        array( 'icon-check-circle-o' => esc_html__( 'Check', 'gems') ),
        array( 'icon-arrow-left2' => esc_html__( 'Arrow', 'gems') ),
        array( 'icon-arrow-right2' => esc_html__( 'Arrow', 'gems') ),
        array( 'icon-plus' => esc_html__( 'Plus', 'gems') ),
        array( 'icon-minus' => esc_html__( 'Minus', 'gems') ),
        array( 'icon-eye3' => esc_html__( 'Eye3', 'gems') ),
        array( 'icon-comment' => esc_html__( 'Comment', 'gems') ),
        array( 'icon-magnet' => esc_html__( 'Magnet', 'gems') ),
        array( 'icon-folder' => esc_html__( 'Folder', 'gems') ),
        array( 'icon-key' => esc_html__( 'Key', 'gems') ),
        array( 'icon-cogs' => esc_html__( 'Cogs', 'gems') ),
        array( 'icon-comments' => esc_html__( 'Comments', 'gems') ),
        array( 'icon-thumbs-o-up' => esc_html__( 'Thumbs', 'gems') ),
        array( 'icon-thumbs-o-down' => esc_html__( 'Thumbs', 'gems') ),
        array( 'icon-heart-o' => esc_html__( 'Heart', 'gems') ),
        array( 'icon-trophy' => esc_html__( 'Trophy', 'gems') ),
        array( 'icon-phone2' => esc_html__( 'Phone2', 'gems') ),
        array( 'icon-twitter' => esc_html__( 'Twitter', 'gems') ),
        array( 'icon-facebook' => esc_html__( 'Facebook', 'gems') ),
        array( 'icon-github' => esc_html__( 'Github', 'gems') ),
        array( 'icon-bullhorn' => esc_html__( 'Bullhorn', 'gems') ),
        array( 'icon-certificate' => esc_html__( 'Certificate', 'gems') ),
        array( 'icon-wrench' => esc_html__( 'Wrench', 'gems') ),
        array( 'icon-tasks' => esc_html__( 'Tasks', 'gems') ),
        array( 'icon-briefcase' => esc_html__( 'Briefcase', 'gems') ),
        array( 'icon-group' => esc_html__( 'Group', 'gems') ),
        array( 'icon-chain' => esc_html__( 'Chain', 'gems') ),
        array( 'icon-cloud' => esc_html__( 'Cloud', 'gems') ),
        array( 'icon-flask' => esc_html__( 'Flask', 'gems') ),
        array( 'icon-cut' => esc_html__( 'Cut', 'gems') ),
        array( 'icon-paperclip' => esc_html__( 'Paperclip', 'gems') ),
        array( 'icon-bars' => esc_html__( 'Bars', 'gems') ),
        array( 'icon-magic' => esc_html__( 'Magic', 'gems') ),
        array( 'icon-pinterest' => esc_html__( 'Pinterest', 'gems') ),
        array( 'icon-google-plus' => esc_html__( 'Google', 'gems') ),
        array( 'icon-linkedin' => esc_html__( 'Linkedin', 'gems') ),
        array( 'icon-dashboard' => esc_html__( 'Dashboard', 'gems') ),
        array( 'icon-comments-o' => esc_html__( 'Comments', 'gems') ),
        array( 'icon-bolt' => esc_html__( 'Bolt', 'gems') ),
        array( 'icon-sitemap' => esc_html__( 'Sitemap', 'gems') ),
        array( 'icon-umbrella' => esc_html__( 'Umbrella', 'gems') ),
        array( 'icon-lightbulb-o' => esc_html__( 'Lightbulb', 'gems') ),
        array( 'icon-cloud-download2' => esc_html__( 'Cloud', 'gems') ),
        array( 'icon-cloud-upload2' => esc_html__( 'Cloud', 'gems') ),
        array( 'icon-coffee2' => esc_html__( 'Coffee2', 'gems') ),
        array( 'icon-angle-left' => esc_html__( 'Angle', 'gems') ),
        array( 'icon-angle-right' => esc_html__( 'Angle', 'gems') ),
        array( 'icon-desktop' => esc_html__( 'Desktop', 'gems') ),
        array( 'icon-laptop' => esc_html__( 'Laptop', 'gems') ),
        array( 'icon-tablet' => esc_html__( 'Tablet', 'gems') ),
        array( 'icon-mobile' => esc_html__( 'Mobile', 'gems') ),
        array( 'icon-quote-left' => esc_html__( 'Quote', 'gems') ),
        array( 'icon-quote-right' => esc_html__( 'Quote', 'gems') ),
        array( 'icon-github-alt' => esc_html__( 'Github', 'gems') ),
        array( 'icon-gamepad' => esc_html__( 'Gamepad', 'gems') ),
        array( 'icon-terminal' => esc_html__( 'Terminal', 'gems') ),
        array( 'icon-code' => esc_html__( 'Code', 'gems') ),
        array( 'icon-code-fork' => esc_html__( 'Code', 'gems') ),
        array( 'icon-microphone3' => esc_html__( 'Microphone3', 'gems') ),
        array( 'icon-rocket2' => esc_html__( 'Rocket2', 'gems') ),
        array( 'icon-anchor2' => esc_html__( 'Anchor2', 'gems') ),
        array( 'icon-eur' => esc_html__( 'Eur', 'gems') ),
        array( 'icon-gbp' => esc_html__( 'Gbp', 'gems') ),
        array( 'icon-dollar' => esc_html__( 'Dollar', 'gems') ),
        array( 'icon-inr' => esc_html__( 'Inr', 'gems') ),
        array( 'icon-cny' => esc_html__( 'Cny', 'gems') ),
        array( 'icon-rouble' => esc_html__( 'Rouble', 'gems') ),
        array( 'icon-krw' => esc_html__( 'Krw', 'gems') ),
        array( 'icon-bitcoin' => esc_html__( 'Bitcoin', 'gems') ),
        array( 'icon-thumbs-up' => esc_html__( 'Thumbs', 'gems') ),
        array( 'icon-thumbs-down' => esc_html__( 'Thumbs', 'gems') ),
        array( 'icon-youtube' => esc_html__( 'Youtube', 'gems') ),
        array( 'icon-youtube-play' => esc_html__( 'Youtube', 'gems') ),
        array( 'icon-dropbox' => esc_html__( 'Dropbox', 'gems') ),
        array( 'icon-instagram' => esc_html__( 'Instagram', 'gems') ),
        array( 'icon-tumblr' => esc_html__( 'Tumblr', 'gems') ),
        array( 'icon-apple' => esc_html__( 'Apple', 'gems') ),
        array( 'icon-windows' => esc_html__( 'Windows', 'gems') ),
        array( 'icon-android' => esc_html__( 'Android', 'gems') ),
        array( 'icon-linux' => esc_html__( 'Linux', 'gems') ),
        array( 'icon-dribbble' => esc_html__( 'Dribbble', 'gems') ),
        array( 'icon-skype' => esc_html__( 'Skype', 'gems') ),
        array( 'icon-foursquare' => esc_html__( 'Foursquare', 'gems') ),
        array( 'icon-trello' => esc_html__( 'Trello', 'gems') ),
        array( 'icon-female' => esc_html__( 'Female', 'gems') ),
        array( 'icon-male' => esc_html__( 'Male', 'gems') ),
        array( 'icon-gittip' => esc_html__( 'Gittip', 'gems') ),
        array( 'icon-arrow-circle-o-right' => esc_html__( 'Arrow', 'gems') ),
        array( 'icon-arrow-circle-o-left' => esc_html__( 'Arrow', 'gems') ),
        array( 'icon-wordpress' => esc_html__( 'WordPress', 'gems') ),
        array( 'icon-graduation-cap' => esc_html__( 'Graduation', 'gems') ),
        array( 'icon-reddit' => esc_html__( 'Reddit', 'gems') ),
        array( 'icon-stumbleupon' => esc_html__( 'Stumbleupon', 'gems') ),
        array( 'icon-delicious' => esc_html__( 'Delicious', 'gems') ),
        array( 'icon-digg' => esc_html__( 'Digg', 'gems') ),
        array( 'icon-drupal' => esc_html__( 'Drupal', 'gems') ),
        array( 'icon-joomla' => esc_html__( 'Joomla', 'gems') ),
        array( 'icon-behance' => esc_html__( 'Behance', 'gems') ),
        array( 'icon-steam' => esc_html__( 'Steam', 'gems') ),
        array( 'icon-tree' => esc_html__( 'Tree', 'gems') ),
        array( 'icon-spotify' => esc_html__( 'Spotify', 'gems') ),
        array( 'icon-soundcloud' => esc_html__( 'Soundcloud', 'gems') ),
        array( 'icon-vine' => esc_html__( 'Vine', 'gems') ),
        array( 'icon-life-bouy' => esc_html__( 'Life', 'gems') ),
        array( 'icon-paper-plane' => esc_html__( 'Paper', 'gems') ),
        array( 'icon-paper-plane-o' => esc_html__( 'Paper', 'gems') ),
        array( 'icon-sliders' => esc_html__( 'Sliders', 'gems') ),
        array( 'icon-bomb' => esc_html__( 'Bomb', 'gems') ),
        array( 'icon-plug' => esc_html__( 'Plug', 'gems') ),
        array( 'icon-slideshare' => esc_html__( 'Slideshare', 'gems') ),
        array( 'icon-paypal' => esc_html__( 'Paypal', 'gems') ),
        array( 'icon-cc-visa' => esc_html__( 'Cc', 'gems') ),
        array( 'icon-cc-mastercard' => esc_html__( 'Cc', 'gems') ),
        array( 'icon-cc-discover' => esc_html__( 'Cc', 'gems') ),
        array( 'icon-cc-amex' => esc_html__( 'Cc', 'gems') ),
        array( 'icon-cc-paypal' => esc_html__( 'Cc', 'gems') ),
        array( 'icon-cc-stripe' => esc_html__( 'Cc', 'gems') ),
        array( 'icon-copyright' => esc_html__( 'Copyright', 'gems') ),
        array( 'icon-at' => esc_html__( 'At', 'gems') ),
        array( 'icon-birthday-cake' => esc_html__( 'Birthday', 'gems') ),
        array( 'icon-area-chart' => esc_html__( 'Area', 'gems') ),
        array( 'icon-pie-chart' => esc_html__( 'Pie', 'gems') ),
        array( 'icon-line-chart' => esc_html__( 'Line', 'gems') ),
        array( 'icon-lastfm' => esc_html__( 'Lastfm', 'gems') ),
        array( 'icon-mobile2' => esc_html__( 'Mobile2', 'gems') ),
        array( 'icon-laptop2' => esc_html__( 'Laptop2', 'gems') ),
        array( 'icon-desktop2' => esc_html__( 'Desktop2', 'gems') ),
        array( 'icon-tablet2' => esc_html__( 'Tablet2', 'gems') ),
        array( 'icon-phone3' => esc_html__( 'Phone3', 'gems') ),
        array( 'icon-document' => esc_html__( 'Document', 'gems') ),
        array( 'icon-documents' => esc_html__( 'Documents', 'gems') ),
        array( 'icon-search4' => esc_html__( 'Search4', 'gems') ),
        array( 'icon-clipboard2' => esc_html__( 'Clipboard2', 'gems') ),
        array( 'icon-newspaper' => esc_html__( 'Newspaper', 'gems') ),
        array( 'icon-notebook' => esc_html__( 'Notebook', 'gems') ),
        array( 'icon-book-open' => esc_html__( 'Book', 'gems') ),
        array( 'icon-browser' => esc_html__( 'Browser', 'gems') ),
        array( 'icon-calendar2' => esc_html__( 'Calendar2', 'gems') ),
        array( 'icon-presentation' => esc_html__( 'Presentation', 'gems') ),
        array( 'icon-picture' => esc_html__( 'Picture', 'gems') ),
        array( 'icon-pictures' => esc_html__( 'Pictures', 'gems') ),
        array( 'icon-video3' => esc_html__( 'Video3', 'gems') ),
        array( 'icon-camera5' => esc_html__( 'Camera5', 'gems') ),
        array( 'icon-printer2' => esc_html__( 'Printer2', 'gems') ),
        array( 'icon-toolbox' => esc_html__( 'Toolbox', 'gems') ),
        array( 'icon-briefcase3' => esc_html__( 'Briefcase3', 'gems') ),
        array( 'icon-wallet3' => esc_html__( 'Wallet3', 'gems') ),
        array( 'icon-gift2' => esc_html__( 'Gift2', 'gems') ),
        array( 'icon-bargraph' => esc_html__( 'Bargraph', 'gems') ),
        array( 'icon-grid2' => esc_html__( 'Grid2', 'gems') ),
        array( 'icon-expand2' => esc_html__( 'Expand2', 'gems') ),
        array( 'icon-focus' => esc_html__( 'Focus', 'gems') ),
        array( 'icon-edit2' => esc_html__( 'Edit2', 'gems') ),
        array( 'icon-adjustments' => esc_html__( 'Adjustments', 'gems') ),
        array( 'icon-ribbon2' => esc_html__( 'Ribbon2', 'gems') ),
        array( 'icon-hourglass2' => esc_html__( 'Hourglass2', 'gems') ),
        array( 'icon-lock4' => esc_html__( 'Lock4', 'gems') ),
        array( 'icon-megaphone2' => esc_html__( 'Megaphone2', 'gems') ),
        array( 'icon-shield' => esc_html__( 'Shield', 'gems') ),
        array( 'icon-trophy2' => esc_html__( 'Trophy2', 'gems') ),
        array( 'icon-flag3' => esc_html__( 'Flag3', 'gems') ),
        array( 'icon-map2' => esc_html__( 'Map2', 'gems') ),
        array( 'icon-puzzle2' => esc_html__( 'Puzzle2', 'gems') ),
        array( 'icon-basket' => esc_html__( 'Basket', 'gems') ),
        array( 'icon-envelope2' => esc_html__( 'Envelope2', 'gems') ),
        array( 'icon-streetsign' => esc_html__( 'Streetsign', 'gems') ),
        array( 'icon-telescope' => esc_html__( 'Telescope', 'gems') ),
        array( 'icon-gears' => esc_html__( 'Gears', 'gems') ),
        array( 'icon-key3' => esc_html__( 'Key3', 'gems') ),
        array( 'icon-paperclip2' => esc_html__( 'Paperclip2', 'gems') ),
        array( 'icon-attachment' => esc_html__( 'Attachment', 'gems') ),
        array( 'icon-pricetags' => esc_html__( 'Pricetags', 'gems') ),
        array( 'icon-lightbulb' => esc_html__( 'Lightbulb', 'gems') ),
        array( 'icon-layers2' => esc_html__( 'Layers2', 'gems') ),
        array( 'icon-pencil' => esc_html__( 'Pencil', 'gems') ),
        array( 'icon-tools2' => esc_html__( 'Tools2', 'gems') ),
        array( 'icon-tools-2' => esc_html__( 'Tools', 'gems') ),
        array( 'icon-scissors' => esc_html__( 'Scissors', 'gems') ),
        array( 'icon-paintbrush' => esc_html__( 'Paintbrush', 'gems') ),
        array( 'icon-magnifying-glass' => esc_html__( 'Magnifying', 'gems') ),
        array( 'icon-circle-compass' => esc_html__( 'Circle', 'gems') ),
        array( 'icon-linegraph' => esc_html__( 'Linegraph', 'gems') ),
        array( 'icon-mic' => esc_html__( 'Mic', 'gems') ),
        array( 'icon-strategy' => esc_html__( 'Strategy', 'gems') ),
        array( 'icon-beaker' => esc_html__( 'Beaker', 'gems') ),
        array( 'icon-caution' => esc_html__( 'Caution', 'gems') ),
        array( 'icon-recycle' => esc_html__( 'Recycle', 'gems') ),
        array( 'icon-anchor3' => esc_html__( 'Anchor3', 'gems') ),
        array( 'icon-profile-male' => esc_html__( 'Profile', 'gems') ),
        array( 'icon-profile-female' => esc_html__( 'Profile', 'gems') ),
        array( 'icon-bike' => esc_html__( 'Bike', 'gems') ),
        array( 'icon-wine' => esc_html__( 'Wine', 'gems') ),
        array( 'icon-hotairballoon' => esc_html__( 'Hotairballoon', 'gems') ),
        array( 'icon-globe3' => esc_html__( 'Globe3', 'gems') ),
        array( 'icon-genius' => esc_html__( 'Genius', 'gems') ),
        array( 'icon-map-pin' => esc_html__( 'Map', 'gems') ),
        array( 'icon-dial' => esc_html__( 'Dial', 'gems') ),
        array( 'icon-chat' => esc_html__( 'Chat', 'gems') ),
        array( 'icon-heart4' => esc_html__( 'Heart4', 'gems') ),
        array( 'icon-cloud4' => esc_html__( 'Cloud4', 'gems') ),
        array( 'icon-upload2' => esc_html__( 'Upload2', 'gems') ),
        array( 'icon-download2' => esc_html__( 'Download2', 'gems') ),
        array( 'icon-target2' => esc_html__( 'Target2', 'gems') ),
        array( 'icon-hazardous' => esc_html__( 'Hazardous', 'gems') ),
        array( 'icon-piechart' => esc_html__( 'Piechart', 'gems') ),
        array( 'icon-speedometer' => esc_html__( 'Speedometer', 'gems') ),
        array( 'icon-global' => esc_html__( 'Global', 'gems') ),
        array( 'icon-compass' => esc_html__( 'Compass', 'gems') ),
        array( 'icon-lifesaver' => esc_html__( 'Lifesaver', 'gems') ),
        array( 'icon-clock3' => esc_html__( 'Clock3', 'gems') ),
        array( 'icon-aperture' => esc_html__( 'Aperture', 'gems') ),
        array( 'icon-quote3' => esc_html__( 'Quote3', 'gems') ),
        array( 'icon-scope' => esc_html__( 'Scope', 'gems') ),
        array( 'icon-alarmclock' => esc_html__( 'Alarmclock', 'gems') ),
        array( 'icon-refresh' => esc_html__( 'Refresh', 'gems') ),
        array( 'icon-happy3' => esc_html__( 'Happy3', 'gems') ),
        array( 'icon-sad3' => esc_html__( 'Sad3', 'gems') ),
        array( 'icon-facebook2' => esc_html__( 'Facebook2', 'gems') ),
        array( 'icon-twitter2' => esc_html__( 'Twitter2', 'gems') ),
        array( 'icon-googleplus' => esc_html__( 'Googleplus', 'gems') ),
        array( 'icon-rss' => esc_html__( 'Rss', 'gems') ),
        array( 'icon-tumblr2' => esc_html__( 'Tumblr2', 'gems') ),
        array( 'icon-linkedin2' => esc_html__( 'Linkedin2', 'gems') ),
        array( 'icon-dribbble2' => esc_html__( 'Dribbble2', 'gems') ),
        array( 'icon-heart' => esc_html__( 'Heart', 'gems') ),
        array( 'icon-cloud2' => esc_html__( 'Cloud2', 'gems') ),
        array( 'icon-star' => esc_html__( 'Star', 'gems') ),
        array( 'icon-tv' => esc_html__( 'Tv', 'gems') ),
        array( 'icon-sound' => esc_html__( 'Sound', 'gems') ),
        array( 'icon-video' => esc_html__( 'Video', 'gems') ),
        array( 'icon-trash' => esc_html__( 'Trash', 'gems') ),
        array( 'icon-user' => esc_html__( 'User', 'gems') ),
        array( 'icon-key2' => esc_html__( 'Key2', 'gems') ),
        array( 'icon-search2' => esc_html__( 'Search2', 'gems') ),
        array( 'icon-settings' => esc_html__( 'Settings', 'gems') ),
        array( 'icon-camera2' => esc_html__( 'Camera2', 'gems') ),
        array( 'icon-tag2' => esc_html__( 'Tag2', 'gems') ),
        array( 'icon-lock2' => esc_html__( 'Lock2', 'gems') ),
        array( 'icon-bulb' => esc_html__( 'Bulb', 'gems') ),
        array( 'icon-pen' => esc_html__( 'Pen', 'gems') ),
        array( 'icon-diamond2' => esc_html__( 'Diamond2', 'gems') ),
        array( 'icon-display' => esc_html__( 'Display', 'gems') ),
        array( 'icon-location2' => esc_html__( 'Location2', 'gems') ),
        array( 'icon-eye' => esc_html__( 'Eye', 'gems') ),
        array( 'icon-bubble' => esc_html__( 'Bubble', 'gems') ),
        array( 'icon-stack' => esc_html__( 'Stack', 'gems') ),
        array( 'icon-cup' => esc_html__( 'Cup', 'gems') ),
        array( 'icon-phone' => esc_html__( 'Phone', 'gems') ),
        array( 'icon-news' => esc_html__( 'News', 'gems') ),
        array( 'icon-mail' => esc_html__( 'Mail', 'gems') ),
        array( 'icon-like' => esc_html__( 'Like', 'gems') ),
        array( 'icon-photo' => esc_html__( 'Photo', 'gems') ),
        array( 'icon-note' => esc_html__( 'Note', 'gems') ),
        array( 'icon-clock' => esc_html__( 'Clock', 'gems') ),
        array( 'icon-paperplane' => esc_html__( 'Paperplane', 'gems') ),
        array( 'icon-params' => esc_html__( 'Params', 'gems') ),
        array( 'icon-banknote' => esc_html__( 'Banknote', 'gems') ),
        array( 'icon-data' => esc_html__( 'Data', 'gems') ),
        array( 'icon-music2' => esc_html__( 'Music2', 'gems') ),
        array( 'icon-megaphone' => esc_html__( 'Megaphone', 'gems') ),
        array( 'icon-study' => esc_html__( 'Study', 'gems') ),
        array( 'icon-lab2' => esc_html__( 'Lab2', 'gems') ),
        array( 'icon-food' => esc_html__( 'Food', 'gems') ),
        array( 'icon-t-shirt' => esc_html__( 'T', 'gems') ),
        array( 'icon-fire2' => esc_html__( 'Fire2', 'gems') ),
        array( 'icon-clip' => esc_html__( 'Clip', 'gems') ),
        array( 'icon-shop' => esc_html__( 'Shop', 'gems') ),
        array( 'icon-calendar' => esc_html__( 'Calendar', 'gems') ),
        array( 'icon-wallet' => esc_html__( 'Wallet', 'gems') ),
        array( 'icon-vynil' => esc_html__( 'Vynil', 'gems') ),
        array( 'icon-truck' => esc_html__( 'Truck', 'gems') ),
        array( 'icon-world' => esc_html__( 'World', 'gems') ),
        array( 'icon-quote' => esc_html__( 'Quote', 'gems') ),
        array( 'icon-quote2' => esc_html__( 'Quote2', 'gems') ),
        array( 'icon-camera3' => esc_html__( 'Camera3', 'gems') ),
        array( 'icon-film' => esc_html__( 'Film', 'gems') ),
        array( 'icon-drink' => esc_html__( 'Drink', 'gems') ),
        array( 'icon-drink2' => esc_html__( 'Drink2', 'gems') ),
        array( 'icon-drink3' => esc_html__( 'Drink3', 'gems') ),
        array( 'icon-coffee' => esc_html__( 'Coffee', 'gems') ),
        array( 'icon-mug' => esc_html__( 'Mug', 'gems') ),
        array( 'icon-icecream' => esc_html__( 'Icecream', 'gems') ),
        array( 'icon-cake' => esc_html__( 'Cake', 'gems') ),
        array( 'icon-cassette' => esc_html__( 'Cassette', 'gems') ),
        array( 'icon-wallet2' => esc_html__( 'Wallet2', 'gems') ),
        array( 'icon-sitemap2' => esc_html__( 'Sitemap2', 'gems') ),
        array( 'icon-direction' => esc_html__( 'Direction', 'gems') ),
        array( 'icon-lab' => esc_html__( 'Lab', 'gems') ),
        array( 'icon-tie' => esc_html__( 'Tie', 'gems') ),
        array( 'icon-medal' => esc_html__( 'Medal', 'gems') ),
        array( 'icon-stack2' => esc_html__( 'Stack2', 'gems') ),
        array( 'icon-lamp' => esc_html__( 'Lamp', 'gems') ),
        array( 'icon-diamond' => esc_html__( 'Diamond', 'gems') ),
        array( 'icon-equalizer' => esc_html__( 'Equalizer', 'gems') ),
        array( 'icon-justice' => esc_html__( 'Justice', 'gems') ),
        array( 'icon-stats' => esc_html__( 'Stats', 'gems') ),
        array( 'icon-hourglass' => esc_html__( 'Hourglass', 'gems') ),
        array( 'icon-abacus' => esc_html__( 'Abacus', 'gems') ),
        array( 'icon-dollar2' => esc_html__( 'Dollar2', 'gems') ),
        array( 'icon-pig' => esc_html__( 'Pig', 'gems') ),
        array( 'icon-envelope' => esc_html__( 'Envelope', 'gems') ),
        array( 'icon-male2' => esc_html__( 'Male2', 'gems') ),
        array( 'icon-female2' => esc_html__( 'Female2', 'gems') ),
        array( 'icon-info' => esc_html__( 'Info', 'gems') ),
        array( 'icon-rocket' => esc_html__( 'Rocket', 'gems') ),
        array( 'icon-microphone' => esc_html__( 'Microphone', 'gems') ),
        array( 'icon-shipping' => esc_html__( 'Shipping', 'gems') ),
        array( 'icon-ruler' => esc_html__( 'Ruler', 'gems') ),
        array( 'icon-pencil22' => esc_html__( 'Pencil22', 'gems') ),
        array( 'icon-droplet' => esc_html__( 'Droplet', 'gems') ),
        array( 'icon-camera' => esc_html__( 'Camera', 'gems') ),
        array( 'icon-headphones' => esc_html__( 'Headphones', 'gems') ),
        array( 'icon-connection' => esc_html__( 'Connection', 'gems') ),
        array( 'icon-book2' => esc_html__( 'Book2', 'gems') ),
        array( 'icon-books' => esc_html__( 'Books', 'gems') ),
        array( 'icon-folder-open' => esc_html__( 'Folder', 'gems') ),
        array( 'icon-cart' => esc_html__( 'Cart', 'gems') ),
        array( 'icon-equalizer2' => esc_html__( 'Equalizer2', 'gems') ),
        array( 'icon-pie-chart2' => esc_html__( 'Pie', 'gems') ),
        array( 'icon-stats-dots' => esc_html__( 'Stats', 'gems') ),
        array( 'icon-spoon-knife' => esc_html__( 'Spoon', 'gems') ),
        array( 'icon-leaf' => esc_html__( 'Leaf', 'gems') ),
        array( 'icon-rocket4' => esc_html__( 'Rocket4', 'gems') ),
        array( 'icon-meter' => esc_html__( 'Meter', 'gems') ),
        array( 'icon-fire' => esc_html__( 'Fire', 'gems') ),
        array( 'icon-bin' => esc_html__( 'Bin', 'gems') ),
        array( 'icon-bookmark' => esc_html__( 'Bookmark', 'gems') ),
        array( 'icon-happy' => esc_html__( 'Happy', 'gems') ),
        array( 'icon-happy2' => esc_html__( 'Happy2', 'gems') ),
        array( 'icon-smile' => esc_html__( 'Smile', 'gems') ),
        array( 'icon-smile2' => esc_html__( 'Smile2', 'gems') ),
        array( 'icon-tongue' => esc_html__( 'Tongue', 'gems') ),
        array( 'icon-tongue2' => esc_html__( 'Tongue2', 'gems') ),
        array( 'icon-sad' => esc_html__( 'Sad', 'gems') ),
        array( 'icon-sad2' => esc_html__( 'Sad2', 'gems') ),
        array( 'icon-wink' => esc_html__( 'Wink', 'gems') ),
        array( 'icon-wink2' => esc_html__( 'Wink2', 'gems') ),
        array( 'icon-grin' => esc_html__( 'Grin', 'gems') ),
        array( 'icon-grin2' => esc_html__( 'Grin2', 'gems') ),
        array( 'icon-cool' => esc_html__( 'Cool', 'gems') ),
        array( 'icon-cool2' => esc_html__( 'Cool2', 'gems') ),
        array( 'icon-angry' => esc_html__( 'Angry', 'gems') ),
        array( 'icon-angry2' => esc_html__( 'Angry2', 'gems') ),
        array( 'icon-evil' => esc_html__( 'Evil', 'gems') ),
        array( 'icon-evil2' => esc_html__( 'Evil2', 'gems') ),
        array( 'icon-shocked' => esc_html__( 'Shocked', 'gems') ),
        array( 'icon-shocked2' => esc_html__( 'Shocked2', 'gems') ),
        array( 'icon-baffled' => esc_html__( 'Baffled', 'gems') ),
        array( 'icon-baffled2' => esc_html__( 'Baffled2', 'gems') ),
        array( 'icon-confused' => esc_html__( 'Confused', 'gems') ),
        array( 'icon-confused2' => esc_html__( 'Confused2', 'gems') ),
        array( 'icon-neutral' => esc_html__( 'Neutral', 'gems') ),
        array( 'icon-neutral2' => esc_html__( 'Neutral2', 'gems') ),
        array( 'icon-hipster' => esc_html__( 'Hipster', 'gems') ),
        array( 'icon-hipster2' => esc_html__( 'Hipster2', 'gems') ),
        array( 'icon-wondering' => esc_html__( 'Wondering', 'gems') ),
        array( 'icon-wondering2' => esc_html__( 'Wondering2', 'gems') ),
        array( 'icon-sleepy' => esc_html__( 'Sleepy', 'gems') ),
        array( 'icon-sleepy2' => esc_html__( 'Sleepy2', 'gems') ),
        array( 'icon-frustrated' => esc_html__( 'Frustrated', 'gems') ),
        array( 'icon-frustrated2' => esc_html__( 'Frustrated2', 'gems') ),
        array( 'icon-crying' => esc_html__( 'Crying', 'gems') ),
        array( 'icon-crying2' => esc_html__( 'Crying2', 'gems') ),
        array( 'icon-play2' => esc_html__( 'Play2', 'gems') ),
        array( 'icon-pause' => esc_html__( 'Pause', 'gems') ),
        array( 'icon-stop' => esc_html__( 'Stop', 'gems') ),
        array( 'icon-previous' => esc_html__( 'Previous', 'gems') ),
        array( 'icon-next' => esc_html__( 'Next', 'gems') ),
        array( 'icon-backward' => esc_html__( 'Backward', 'gems') ),
        array( 'icon-forward2' => esc_html__( 'Forward2', 'gems') ),
        array( 'icon-play3' => esc_html__( 'Play3', 'gems') ),
        array( 'icon-pause2' => esc_html__( 'Pause2', 'gems') ),
        array( 'icon-stop2' => esc_html__( 'Stop2', 'gems') ),
        array( 'icon-circle-up' => esc_html__( 'Circle', 'gems') ),
        array( 'icon-circle-right' => esc_html__( 'Circle', 'gems') ),
        array( 'icon-circle-down' => esc_html__( 'Circle', 'gems') ),
        array( 'icon-circle-left' => esc_html__( 'Circle', 'gems') ),
        array( 'icon-html5' => esc_html__( 'Html5', 'gems') ),
        array( 'icon-html52' => esc_html__( 'Html52', 'gems') ),
        array( 'icon-css3' => esc_html__( 'Css3', 'gems') ),
        array( 'icon-chrome' => esc_html__( 'Chrome', 'gems') ),
        array( 'icon-firefox' => esc_html__( 'Firefox', 'gems') ),
        array( 'icon-IE' => esc_html__( 'IE', 'gems') ),
        array( 'icon-opera' => esc_html__( 'Opera', 'gems') ),
        array( 'icon-safari' => esc_html__( 'Safari', 'gems') ),
        array( 'icon-bug' => esc_html__( 'Bug', 'gems') ),
        array( 'icon-gift' => esc_html__( 'Gift', 'gems') ),
        array( 'icon-git-branch' => esc_html__( 'Git', 'gems') ),
        array( 'icon-globe' => esc_html__( 'Globe', 'gems') ),
        array( 'icon-graph' => esc_html__( 'Graph', 'gems') ),
        array( 'icon-law' => esc_html__( 'Law', 'gems') ),
        array( 'icon-light-bulb' => esc_html__( 'Light', 'gems') ),
        array( 'icon-location' => esc_html__( 'Location', 'gems') ),
        array( 'icon-mention' => esc_html__( 'Mention', 'gems') ),
        array( 'icon-pencil2' => esc_html__( 'Pencil2', 'gems') ),
        array( 'icon-pin' => esc_html__( 'Pin', 'gems') ),
        array( 'icon-plug2' => esc_html__( 'Plug2', 'gems') ),
        array( 'icon-pulse' => esc_html__( 'Pulse', 'gems') ),
        array( 'icon-puzzle' => esc_html__( 'Puzzle', 'gems') ),
        array( 'icon-rocket3' => esc_html__( 'Rocket3', 'gems') ),
        array( 'icon-search' => esc_html__( 'Search', 'gems') ),
        array( 'icon-tools' => esc_html__( 'Tools', 'gems') ),
        array( 'icon-eye2' => esc_html__( 'Eye2', 'gems') ),
        array( 'icon-paper-clip' => esc_html__( 'Paper', 'gems') ),
        array( 'icon-mail2' => esc_html__( 'Mail2', 'gems') ),
        array( 'icon-toggle' => esc_html__( 'Toggle', 'gems') ),
        array( 'icon-layout' => esc_html__( 'Layout', 'gems') ),
        array( 'icon-link' => esc_html__( 'Link', 'gems') ),
        array( 'icon-bell' => esc_html__( 'Bell', 'gems') ),
        array( 'icon-lock3' => esc_html__( 'Lock3', 'gems') ),
        array( 'icon-unlock' => esc_html__( 'Unlock', 'gems') ),
        array( 'icon-ribbon' => esc_html__( 'Ribbon', 'gems') ),
        array( 'icon-image' => esc_html__( 'Image', 'gems') ),
        array( 'icon-signal' => esc_html__( 'Signal', 'gems') ),
        array( 'icon-target' => esc_html__( 'Target', 'gems') ),
        array( 'icon-clipboard' => esc_html__( 'Clipboard', 'gems') ),
        array( 'icon-clock2' => esc_html__( 'Clock2', 'gems') ),
        array( 'icon-watch' => esc_html__( 'Watch', 'gems') ),
        array( 'icon-air-play' => esc_html__( 'Air', 'gems') ),
        array( 'icon-camera4' => esc_html__( 'Camera4', 'gems') ),
        array( 'icon-video2' => esc_html__( 'Video2', 'gems') ),
        array( 'icon-disc' => esc_html__( 'Disc', 'gems') ),
        array( 'icon-printer' => esc_html__( 'Printer', 'gems') ),
        array( 'icon-monitor' => esc_html__( 'Monitor', 'gems') ),
        array( 'icon-server' => esc_html__( 'Server', 'gems') ),
        array( 'icon-cog2' => esc_html__( 'Cog2', 'gems') ),
        array( 'icon-heart2' => esc_html__( 'Heart2', 'gems') ),
        array( 'icon-paragraph' => esc_html__( 'Paragraph', 'gems') ),
        array( 'icon-align-justify' => esc_html__( 'Align', 'gems') ),
        array( 'icon-align-left' => esc_html__( 'Align', 'gems') ),
        array( 'icon-align-center' => esc_html__( 'Align', 'gems') ),
        array( 'icon-align-right' => esc_html__( 'Align', 'gems') ),
        array( 'icon-book3' => esc_html__( 'Book3', 'gems') ),
        array( 'icon-layers' => esc_html__( 'Layers', 'gems') ),
        array( 'icon-stack3' => esc_html__( 'Stack3', 'gems') ),
        array( 'icon-stack-2' => esc_html__( 'Stack', 'gems') ),
        array( 'icon-paper' => esc_html__( 'Paper', 'gems') ),
        array( 'icon-paper-stack' => esc_html__( 'Paper', 'gems') ),
        array( 'icon-search3' => esc_html__( 'Search3', 'gems') ),
        array( 'icon-zoom-in' => esc_html__( 'Zoom', 'gems') ),
        array( 'icon-zoom-out' => esc_html__( 'Zoom', 'gems') ),
        array( 'icon-reply' => esc_html__( 'Reply', 'gems') ),
        array( 'icon-circle-plus' => esc_html__( 'Circle', 'gems') ),
        array( 'icon-circle-minus' => esc_html__( 'Circle', 'gems') ),
        array( 'icon-circle-check' => esc_html__( 'Circle', 'gems') ),
        array( 'icon-circle-cross' => esc_html__( 'Circle', 'gems') ),
        array( 'icon-square-plus' => esc_html__( 'Square', 'gems') ),
        array( 'icon-square-minus' => esc_html__( 'Square', 'gems') ),
        array( 'icon-square-check' => esc_html__( 'Square', 'gems') ),
        array( 'icon-square-cross' => esc_html__( 'Square', 'gems') ),
        array( 'icon-microphone2' => esc_html__( 'Microphone2', 'gems') ),
        array( 'icon-record' => esc_html__( 'Record', 'gems') ),
        array( 'icon-skip-back' => esc_html__( 'Skip', 'gems') ),
        array( 'icon-rewind' => esc_html__( 'Rewind', 'gems') ),
        array( 'icon-play' => esc_html__( 'Play', 'gems') ),
        array( 'icon-pause3' => esc_html__( 'Pause3', 'gems') ),
        array( 'icon-stop3' => esc_html__( 'Stop3', 'gems') ),
        array( 'icon-fast-forward' => esc_html__( 'Fast', 'gems') ),
        array( 'icon-skip-forward' => esc_html__( 'Skip', 'gems') ),
        array( 'icon-shuffle' => esc_html__( 'Shuffle', 'gems') ),
        array( 'icon-repeat' => esc_html__( 'Repeat', 'gems') ),
        array( 'icon-folder2' => esc_html__( 'Folder2', 'gems') ),
        array( 'icon-umbrella2' => esc_html__( 'Umbrella2', 'gems') ),
        array( 'icon-moon' => esc_html__( 'Moon', 'gems') ),
        array( 'icon-thermometer' => esc_html__( 'Thermometer', 'gems') ),
        array( 'icon-drop' => esc_html__( 'Drop', 'gems') ),
        array( 'icon-sun' => esc_html__( 'Sun', 'gems') ),
        array( 'icon-cloud3' => esc_html__( 'Cloud3', 'gems') ),
        array( 'icon-cloud-upload' => esc_html__( 'Cloud', 'gems') ),
        array( 'icon-cloud-download' => esc_html__( 'Cloud', 'gems') ),
        array( 'icon-upload' => esc_html__( 'Upload', 'gems') ),
        array( 'icon-download' => esc_html__( 'Download', 'gems') ),
        array( 'icon-location3' => esc_html__( 'Location3', 'gems') ),
        array( 'icon-location-2' => esc_html__( 'Location', 'gems') ),
        array( 'icon-map' => esc_html__( 'Map', 'gems') ),
        array( 'icon-battery' => esc_html__( 'Battery', 'gems') ),
        array( 'icon-head' => esc_html__( 'Head', 'gems') ),
        array( 'icon-briefcase2' => esc_html__( 'Briefcase2', 'gems') ),
        array( 'icon-speech-bubble' => esc_html__( 'Speech', 'gems') ),
        array( 'icon-anchor' => esc_html__( 'Anchor', 'gems') ),
        array( 'icon-globe2' => esc_html__( 'Globe2', 'gems') ),
        array( 'icon-box' => esc_html__( 'Box', 'gems') ),
        array( 'icon-reload' => esc_html__( 'Reload', 'gems') ),
        array( 'icon-share' => esc_html__( 'Share', 'gems') ),
        array( 'icon-marquee' => esc_html__( 'Marquee', 'gems') ),
        array( 'icon-marquee-plus' => esc_html__( 'Marquee', 'gems') ),
        array( 'icon-marquee-minus' => esc_html__( 'Marquee', 'gems') ),
        array( 'icon-tag3' => esc_html__( 'Tag3', 'gems') ),
        array( 'icon-power' => esc_html__( 'Power', 'gems') ),
        array( 'icon-command' => esc_html__( 'Command', 'gems') ),
        array( 'icon-alt' => esc_html__( 'Alt', 'gems') ),
        array( 'icon-esc' => esc_html__( 'Esc', 'gems') ),
        array( 'icon-bar-graph' => esc_html__( 'Bar', 'gems') ),
        array( 'icon-bar-graph-2' => esc_html__( 'Bar', 'gems') ),
        array( 'icon-pie-graph' => esc_html__( 'Pie', 'gems') ),
        array( 'icon-star2' => esc_html__( 'Star2', 'gems') ),
        array( 'icon-arrow-left' => esc_html__( 'Arrow', 'gems') ),
        array( 'icon-arrow-right' => esc_html__( 'Arrow', 'gems') ),
        array( 'icon-arrow-up' => esc_html__( 'Arrow', 'gems') ),
        array( 'icon-arrow-down' => esc_html__( 'Arrow', 'gems') ),
        array( 'icon-volume' => esc_html__( 'Volume', 'gems') ),
        array( 'icon-mute' => esc_html__( 'Mute', 'gems') ),
        array( 'icon-content-right' => esc_html__( 'Content', 'gems') ),
        array( 'icon-content-left' => esc_html__( 'Content', 'gems') ),
        array( 'icon-grid' => esc_html__( 'Grid', 'gems') ),
        array( 'icon-grid-2' => esc_html__( 'Grid', 'gems') ),
        array( 'icon-columns' => esc_html__( 'Columns', 'gems') ),
        array( 'icon-loader' => esc_html__( 'Loader', 'gems') ),
        array( 'icon-bag' => esc_html__( 'Bag', 'gems') ),
        array( 'icon-ban' => esc_html__( 'Ban', 'gems') ),
        array( 'icon-flag' => esc_html__( 'Flag', 'gems') ),
        array( 'icon-trash2' => esc_html__( 'Trash2', 'gems') ),
        array( 'icon-expand' => esc_html__( 'Expand', 'gems') ),
        array( 'icon-contract' => esc_html__( 'Contract', 'gems') ),
        array( 'icon-maximize' => esc_html__( 'Maximize', 'gems') ),
        array( 'icon-minimize' => esc_html__( 'Minimize', 'gems') ),
        array( 'icon-plus2' => esc_html__( 'Plus2', 'gems') ),
        array( 'icon-minus2' => esc_html__( 'Minus2', 'gems') ),
        array( 'icon-check' => esc_html__( 'Check', 'gems') ),
        array( 'icon-cross' => esc_html__( 'Cross', 'gems') ),
        array( 'icon-move' => esc_html__( 'Move', 'gems') ),
        array( 'icon-delete' => esc_html__( 'Delete', 'gems') ),
        array( 'icon-menu' => esc_html__( 'Menu', 'gems') ),
        array( 'icon-archive' => esc_html__( 'Archive', 'gems') ),
        array( 'icon-inbox' => esc_html__( 'Inbox', 'gems') ),
        array( 'icon-outbox' => esc_html__( 'Outbox', 'gems') ),
        array( 'icon-file' => esc_html__( 'File', 'gems') ),
        array( 'icon-file-add' => esc_html__( 'File', 'gems') ),
        array( 'icon-file-subtract' => esc_html__( 'File', 'gems') ),
        array( 'icon-help' => esc_html__( 'Help', 'gems') ),
        array( 'icon-open' => esc_html__( 'Open', 'gems') ),
        array( 'icon-ellipsis' => esc_html__( 'Ellipsis', 'gems') )
    );

    // Return icons
    return $icons;
}

add_filter( 'vc_iconpicker-type-icomoon', 'vc_iconpicker_type_icomoon' );