<?php

class FastwpGemsClients extends FastwpGemsShortcodeUtils {

	function __construct() {
		global $fastwp_gems_shortcodes;
		$fastwp_gems_shortcodes['fastwp_gems_clients'] = array( 'class' => __CLASS__, 'function' => 'shortcode' );
		$this->vc_block();
	}

	public static function shortcode( $atts, $content = '' ) {
		extract(shortcode_atts(array(
			'clients' 		=> '',
            'items_per_row' => 4,
            'extra_class'   => ''
		), $atts));

        $item_markup = '<div class="small-up-2 medium-up-%s clientLogos%s">';

        $list = explode( ',', $clients );

        if( count( $list ) > 0 ) {
            foreach( $list as $item ) {
        		$image  = wp_get_attachment_image_src( $item, 'full' );
                $item_markup .= sprintf( '<div class="column">
                                    <img src="%s" alt="" />
                                </div>', $image[0] );
            }
        }

        $item_markup .= '</div>';

		return sprintf( $item_markup, ( in_array( (int) $items_per_row, array( 3, 4, 5, 6 ) ) ? $items_per_row : 4 ), ( !empty( $extra_class ) ? ' ' . sanitize_html_class( $extra_class ) : '' ) );
    }

	public static function vc_block() {
		global $fastwp_gems_visual_composer_blocks;

		$fastwp_gems_visual_composer_blocks[] = array(
			"name"      => esc_html__("Clients",'gems'),
			"base"      => "fastwp_gems_clients",
			"icon"      => get_template_directory_uri() . "/assets/img/logo-square.png",
			"category"  => esc_html__('Gems Elements','gems'),
			"params"    => array(
    			array(
					"save_always" 	=> true,
					"type" 			=> 'attach_images',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Client Logos",'gems' ),
					"param_name" 	=> 'clients',
					"admin_label"	=> true
				),
    			array(
					"save_always" 	=> true,
					"type" 			=> 'dropdown',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Items Per Line",'gems' ),
					"param_name" 	=> 'items_per_row',
					'value'			=> array(
        							        'Up to 3'   => 3,
        							        'Up to 4'   => 4,
        							        'Up to 5'   => 5,
        							        'Up to 6'   => 6
        							    	),
					"default" 		=> '4',
					"admin_label"	=> true,
					"description"	=> esc_html__( "Default: 4",'gems' )
				),
				array(
					"save_always" 	=> true,
					"group"			=> 'Extra',
					"type" 			=> 'textfield',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Extra Class",'gems' ),
					"param_name" 	=> 'extra_class',
					"admin_label"	=> true,
					"description"	=> esc_html__("Use this options to add an extra class to element, you can use this for custom css",'gems')
				)
 			)
        );

	}

}

?>