<?php

class FastwpGemsCounters extends FastwpGemsShortcodeUtils {

	function __construct() {
		global $fastwp_gems_shortcodes;

		$fastwp_gems_shortcodes['fastwp_gems_counters_container'] = array( 'class' => __CLASS__, 'function' => 'shortcode_container' );
		$fastwp_gems_shortcodes['fastwp_gems_counters_item'] = array( 'class' => __CLASS__, 'function' => 'shortcode' );
		$this->vc_block();
	}

	public static function shortcode_container( $atts, $content ) {
		extract(shortcode_atts(array(
			'extra_class'	=> ''
		), $atts));

		return sprintf( '<div class="counters clearfix%s">%s</div>', ( !empty( $extra_class ) ? ' ' . sanitize_html_class( $extra_class ) : '' ), do_shortcode( $content ) );
	}

	public static function shortcode( $atts, $content ) {
		extract(shortcode_atts(array(
			'data_from' 	=> 100,
			'data_to' 	    => 300,
            'data_refresh'  => 50,
            'data_speed'    => 2000,
            'title'         => 'Title',
            'size'          => 3,
            'extra_class'   => ''
		), $atts));

        $item_markup = '<div class="small-12 medium-%s columns%s">
              <div class="timer text-center" data-from="%s" data-to="%s" data-refresh-interval="%s" data-speed="%s">%s</div>
              <span class="counterTitle">%s</span>
            </div>';

		return sprintf( $item_markup, ( in_array( (int) $size, array( 3, 6, 9, 12 ) ) ? $size : 3 ), ( !empty( $extra_class ) ? ' ' . sanitize_html_class( $extra_class ) : '' ), (int) $data_from, (int) $data_to, (int) $data_refresh, (int) $data_speed, (int) $data_to, esc_html( $title ) );
	}

	public static function vc_block(){
		global $fastwp_gems_visual_composer_blocks;

		$fastwp_gems_visual_composer_blocks[] = array(
			"name"      => esc_html__( 'Counters', 'gems' ),
			"base"      => 'fastwp_gems_counters_container',
			"icon" 		=> get_template_directory_uri() . "/assets/img/logo-square.png",
			"category"  => esc_html__( 'Gems Elements', 'gems' ),
			"as_parent" => array('only' => 'fastwp_gems_counters_item'),
			"params"    => array(
				array(
					"save_always" 	=> true,
					"type" 			=> 'textfield',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Extra Class",'gems'),
					"param_name" 	=> 'extra_class',
					"admin_label"	=> true,
					"description"	=> esc_html__("Use this options to add an extra class to element, you can use this for custom css",'gems')
				)
			 ),
			'js_view' => 'VcColumnView',
		);

		$fastwp_gems_visual_composer_blocks[] = array(
			"name"               => esc_html__( 'Counter Item', 'gems' ),
			"base"               => 'fastwp_gems_counters_item',
			"icon"               => get_template_directory_uri() . "/assets/img/logo-square.png",
			"as_child"           => array('only' => 'fastwp_gems_counters_container' ),
			"category"           => esc_html__( 'Gems Elements', 'gems' ),
			'content_element'    => true,
			"params"    => array(
				array(
					"save_always"   => true,
					'type'          => 'textfield',
					'holder'        => 'div',
					'heading'       => esc_html__('Title', 'gems'),
					'param_name'    => 'title',
					'value'         => 'Counter Title',
				),
				array(
					"save_always" 	=> true,
					"type" 			=> 'dropdown',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Size",'gems'),
					"param_name" 	=> "size",
					'value'			=> array(
        							        '1/4'   => 3,
        						            '2/4'   => 6,
                                            '3/4'   => 9,
                                            '4/4'   => 12
        							    	),
					"default" 		=> '6',
					"admin_label"	=> true
				),
				array(
					"save_always"   => true,
					'type'          => 'textfield',
					'holder'        => 'div',
					'heading'       => esc_html__('Data From', 'gems'),
					'param_name'    => 'data_from',
					'value'         => '100',
				),
				array(
					"save_always"   => true,
					'type'          => 'textfield',
					'holder'        => 'div',
					'heading'       => esc_html__('Data To', 'gems'),
					'param_name'    => 'data_to',
					'value'         => '300',
				),
				array(
					"save_always"   => true,
					"group"			=> 'Speed',
					'type'          => 'textfield',
					'holder'        => 'div',
					'heading'       => esc_html__('Data Refresh', 'gems'),
					'param_name'    => 'data_refresh',
					'value'         => '50',
				),
				array(
					"save_always"   => true,
					"group"			=> 'Speed',
					'type'          => 'textfield',
					'holder'        => 'div',
					'heading'       => esc_html__('Data Speed', 'gems'),
					'param_name'    => 'data_speed',
					'value'         => '2000',
				),
				array(
					"save_always" 	=> true,
					"group"			=> 'Extra',
					"type" 			=> 'textfield',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Extra Class",'gems'),
					"param_name" 	=> 'extra_class',+
					"admin_label"	=> true,
					"description"	=> esc_html__("Use this options to add an extra class to element, you can use this for custom css",'gems')
				)
			)
		);
	}
}

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) { class WPBakeryShortCode_fastwp_gems_counters_container extends WPBakeryShortCodesContainer { } }
if ( class_exists( 'WPBakeryShortCode' ) ) { class WPBakeryShortCode_fastwp_gems_counters_item extends WPBakeryShortCode { } }

?>