<?php

class FastwpGemsGallery extends FastwpGemsShortcodeUtils {

	function __construct() {
		global $fastwp_gems_shortcodes;
		$fastwp_gems_shortcodes['fastwp_gems_gallery_container'] = array( 'class' => __CLASS__, 'function' => 'shortcode_container' );
		$fastwp_gems_shortcodes['fastwp_gems_gallery_item'] = array( 'class' => __CLASS__, 'function' => 'shortcode' );
		$this->vc_block();
	}

	public static function shortcode_container( $atts, $content ){
		extract(shortcode_atts(array(
            'items_per_row' => 2,
			'extra_class'	=> ''
		), $atts));

		$markup = '<div%s id="lightbox" data-magellan-target="lightbox">
                        <div class="small-12 columns">
                            <ul class="lightboxGallery row small-up-1 medium-up-%s portfolio">
                                %s
                            </ul>
                        </div>
                    </div>';

        return sprintf( $markup, ( !empty( $extra_class ) ? ' class="' . sanitize_html_class( $extra_class ) . '"' : '' ), ( in_array( (int) $items_per_row, array( 1, 2, 3, 4, 5 ) ) ? $items_per_row : 2 ), do_shortcode( $content ) );
	}

	public static function shortcode( $atts, $content ) {
		extract(shortcode_atts(array(
            'caption'       => 'IMAGE CAPTION',
            'title'         => '',
            'image'         => '',
            'visibility'    => true,
            'extra_class'   => ''
		), $atts));

        if( ! (boolean) $visibility ) return '';

        $item_markup = '<li class="gallery-item column%s">
                  <a href="%s" title="%s" class="relPosition">
                    <img src="%s" alt="">
                    <div class="imageHover">
                      <div class="itemDesc">
                        <p>%s</p>
                      </div>
                    </div>
                  </a>
                </li>';

        $image = wp_get_attachment_image_src( $image, 'full' );

		return sprintf( $item_markup, ( !empty( $extra_class ) ? ' ' . sanitize_html_class( $extra_class ) : '' ), $image[0], esc_html( $title ), $image[0], esc_html( $caption ) );
    }

	public static function vc_block(){
		global $fastwp_gems_visual_composer_blocks;

		$fastwp_gems_visual_composer_blocks[] = array(
			'name'                      => esc_html__( 'Gallery', 'gems' ),
			'base'                      => 'fastwp_gems_gallery_container',
			"icon"                      => get_template_directory_uri() . "/assets/img/logo-square.png",
			'as_parent'                 => array('only' => 'fastwp_gems_gallery_item'),
            'category'                  => esc_html__('Gems Elements', 'gems'),
			"params"                    => array(
    			array(
					"save_always" 	=> true,
					"type" 			=> 'dropdown',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Items Per Row", 'gems' ),
					"param_name" 	=> 'items_per_row',
					'value'			=> array(
        							        'Up to 2'   => 2,
        							        'Up to 1'   => 1,
        							        'Up to 3'   => 3,
            							    'Up to 4'   => 4,
        							        'Up to 5'   => 5
        							    	),
					"default" 		=> '2',
					"admin_label"	=> true,
					"description"	=> esc_html__( "Default: 2", 'gems' )
				),
				array(
					"save_always" 	=> true,
					"group"			=> 'Extra',
					"type" 			=> 'textfield',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Extra Class",'gems' ),
					"param_name" 	=> 'extra_class',
					"admin_label"	=> true,
					"description"	=> esc_html__( "Use this options to add an extra class to element, you can use this for custom css",'gems' )
				)
		    ),
			'js_view' => 'VcColumnView'
		);

		$fastwp_gems_visual_composer_blocks[] = array(
 			'name'              => esc_html( 'Image', 'gems' ),
			'base'              => 'fastwp_gems_gallery_item',
			"icon"              => get_template_directory_uri() . "/assets/img/logo-square.png",
			'as_child'          => array( 'only' => 'fastwp_gems_gallery_container' ),
            'category'          => esc_html__( 'Gems Elements', 'gems' ),
			'params'            => array(
				array(
					"save_always"   => true,
					'type'          => 'textfield',
					'holder'        => 'div',
					'heading'       => esc_html__( 'Caption Title', 'gems' ),
					'param_name'    => 'caption',
					'value'         => 'IMAGE CAPTION',
				),
				array(
					"save_always"   => true,
					'type'          => 'textfield',
					'holder'        => 'div',
					'heading'       => esc_html__('Title', 'gems'),
					'param_name'    => 'title',
					'value'         => 'Image Title',
				),
    			array(
					"save_always" 	=> true,
					"type" 			=> 'attach_image',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Gallery Image",'gems'),
					"param_name" 	=> 'image',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"type" 			=> 'dropdown',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Visibility",'gems'),
					"param_name" 	=> "visibility",
					'value'			=> array(
        							        esc_html__( 'Visible', 'gems' )   => 1,
        						            esc_html__( 'Hidden', 'gems' )    => 0,
        							    	),
					"default" 		=> '1',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"group"			=> 'Extra',
					"type" 			=> 'textfield',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Extra Class",'gems'),
					"param_name" 	=> 'extra_class',
					"admin_label"	=> true,
					"description"	=> esc_html__("Use this options to add an extra class to element, you can use this for custom css",'gems')
				)
			)
		);
	}

}

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) { class WPBakeryShortCode_fastwp_gems_gallery_container extends WPBakeryShortCodesContainer { } }
if ( class_exists( 'WPBakeryShortCode' ) ) { class WPBakeryShortCode_fastwp_gems_gallery_item extends WPBakeryShortCode { } }

?>