<?php

class FastwpGemsGallerySlider extends FastwpGemsShortcodeUtils {

	function __construct() {
		global $fastwp_gems_shortcodes;
		$fastwp_gems_shortcodes['fastwp_gems_gallery_slider_container'] = array( 'class' => __CLASS__, 'function' => 'shortcode_container' );
		$fastwp_gems_shortcodes['fastwp_gems_gallery_slider_item'] = array( 'class' => __CLASS__, 'function' => 'shortcode' );
		$this->vc_block();
	}

	public static function shortcode_container( $atts, $content ) {
		extract(shortcode_atts(array(
			'extra_class'	=> ''
		), $atts));

        $swipper_id = rand( 1, 9999 );

		$markup = '<div class="swiper-container swiper-fwp-%s%s">
                    <div class="swiper-wrapper lightboxGallery">
                        %s
                    </div>
                    <div class="swiper-button-next swiper-button-white"></div>
                    <div class="swiper-button-prev swiper-button-white"></div>
                </div>';

        ?>

        <script>
        (function($) {
            jQuery(window).on('load', function() {
            var swiper = new Swiper('.swiper-fwp-<?php echo (int) $swipper_id; ?>', {
                nextButton: '.swiper-button-next',
                prevButton: '.swiper-button-prev',
                slidesPerView: 5,
                spaceBetween: 20,
                breakpoints: {
                  560: {
                    slidesPerView: 1,
                    spaceBetweenSlides: 20
                  },
                  768: {
                    slidesPerView: 2,
                    spaceBetweenSlides: 20
                  },
                  1024: {
                    slidesPerView: 3,
                    spaceBetweenSlides: 20
                  },
                  1200: {
                    slidesPerView: 4,
                    spaceBetweenSlides: 20
                  }
                }
            });
            });
        })(jQuery);
        </script>

        <?php

        return sprintf( $markup, $swipper_id, ( !empty( $extra_class ) ? ' ' . sanitize_html_class( $extra_class ) : '' ), do_shortcode( $content ) );
	}

	public static function shortcode( $atts, $content ) {
		extract(shortcode_atts(array(
            'title'         => '',
            'image'         => '',
            'visibility'    => true,
            'extra_class'   => ''
		), $atts));

        if( ! (boolean) $visibility ) return '';

        $item_markup = '<div class="swiper-slide%s">
                <a href="%s" title="%s" class="relPosition">
                  <img src="%s" alt="" />
                </a>
              </div>';

        $image = wp_get_attachment_image_src( $image, 'full' );

		return sprintf( $item_markup, ( !empty( $extra_class ) ? ' ' . sanitize_html_class( $extra_class ) : '' ), $image[0], esc_html( $title ), $image[0] );
    }

	public static function vc_block(){
		global $fastwp_gems_visual_composer_blocks;

		$fastwp_gems_visual_composer_blocks[] = array(
			'name'                      => esc_html__( 'Gallery Slider', 'gems' ),
			'base'                      => 'fastwp_gems_gallery_slider_container',
			"icon"                      => get_template_directory_uri() . "/assets/img/logo-square.png",
			'as_parent'                 => array('only' => 'fastwp_gems_gallery_slider_item'),
            'category'                  => esc_html__('Gems Elements', 'gems'),
			"params"                    => array(
				array(
					"save_always" 	=> true,
					"group"			=> 'Extra',
					"type" 			=> 'textfield',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Extra Class",'gems' ),
					"param_name" 	=> 'extra_class',
					"admin_label"	=> true,
					"description"	=> esc_html__( "Use this options to add an extra class to element, you can use this for custom css",'gems' )
				)
		    ),
			'js_view' => 'VcColumnView'
		);

		$fastwp_gems_visual_composer_blocks[] = array(
 			'name'              => esc_html( 'Image', 'gems' ),
			'base'              => 'fastwp_gems_gallery_slider_item',
			"icon"              => get_template_directory_uri() . "/assets/img/logo-square.png",
			'as_child'          => array( 'only' => 'fastwp_gems_gallery_slider_container' ),
            'category'          => esc_html__( 'Gems Elements', 'gems' ),
			'params'            => array(
				array(
					"save_always"   => true,
					'type'          => 'textfield',
					'holder'        => 'div',
					'heading'       => esc_html__('Title', 'gems'),
					'param_name'    => 'title',
					'value'         => 'Image Title',
				),
    			array(
					"save_always" 	=> true,
					"type" 			=> 'attach_image',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Gallery Image",'gems'),
					"param_name" 	=> 'image',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"type" 			=> 'dropdown',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Visibility",'gems'),
					"param_name" 	=> "visibility",
					'value'			=> array(
        							        esc_html__( 'Visible', 'gems' )   => 1,
        						            esc_html__( 'Hidden', 'gems' )    => 0,
        							    	),
					"default" 		=> '1',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"group"			=> 'Extra',
					"type" 			=> 'textfield',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Extra Class",'gems'),
					"param_name" 	=> 'extra_class',
					"admin_label"	=> true,
					"description"	=> esc_html__("Use this options to add an extra class to element, you can use this for custom css",'gems')
				)
			)
		);
	}

}

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) { class WPBakeryShortCode_fastwp_gems_gallery_slider_container extends WPBakeryShortCodesContainer { } }
if ( class_exists( 'WPBakeryShortCode' ) ) { class WPBakeryShortCode_fastwp_gems_gallery_slider_item extends WPBakeryShortCode { } }

?>