<?php

class FastwpGemsHeroSlider extends FastwpGemsShortcodeUtils {

	function __construct() {
		global $fastwp_gems_shortcodes;
		$fastwp_gems_shortcodes['fastwp_gems_hero_slider_container'] = array( 'class' => __CLASS__, 'function' => 'shortcode_container' );
		$fastwp_gems_shortcodes['fastwp_gems_hero_slider_item'] = array( 'class' => __CLASS__, 'function' => 'shortcode' );
		$this->vc_block();
	}

	public static function shortcode_container( $atts, $content ) {
		extract(shortcode_atts(array(
            'next_prev'     => true,
            'bullets'       => true,
			'extra_class'	=> ''
		), $atts));


		$markup = '<div class="heroWrapper relPosition%s">

        <div class="hero">
          <div class="swiper-container">
            <div class="swiper-wrapper">
            %s
            </div>';

        if( (boolean) $bullets ) {
            $markup .= '<div class="swiper-pagination"></div>';
        }

        if( (boolean) $next_prev ) {
            $markup .= '<div class="swiper-button-next swiper-button-black"></div>
            <div class="swiper-button-prev swiper-button-black"></div>';
        }

        $markup .= '</div>
        </div>

        </div>';

        return sprintf( $markup, ( !empty( $extra_class ) ? ' ' . sanitize_html_class( $extra_class ) : '' ), do_shortcode( $content ) );
    }

	public static function shortcode( $atts, $content ) {
		extract(shortcode_atts(array(
            'title'         => 'Title',
            'text'          => '',
            'image'         => '',
            'text_color'    => '',
            'text_align'    => '',
            'visibility'    => true,
            'extra_class'   => ''
		), $atts));

        if( ! (boolean) $visibility ) return '';

        $class = array();

        if( !empty( $extra_class ) ) {
            $class[] = sanitize_html_class( $extra_class );
        }

        if( $text_color == 'white' ) {
            $class[] = 'bgBlack';
        }

        $item_markup = '<div class="swiper-slide js-Parallaxify first-row-100%s" style="background-image: url(\'%s\');" data-parallaxify-y-min="40" data-parallaxify-y-max="100">
                <div class="row">
                  <div class="small-10 medium-7 large-6 columns%s">
                    <h1%s>%s</h1>
                    <p class="lead%s">%s</p>
                  </div>
                </div>
              </div>';

        $image = wp_get_attachment_image_src( $image, 'full' );

		return sprintf( $item_markup, ( !empty( $class ) ? ' ' . implode( ' ', $class ) : '' ), $image[0], ( $text_align == 'center' ? ' small-centered' : '' ), ( $text_align == 'center' ? ' class="text-center"' : '' ), esc_html( $title ), ( $text_align == 'center' ? ' text-center' : '' ), esc_html( $text ) );
    }

	public static function vc_block(){
		global $fastwp_gems_visual_composer_blocks;

		$fastwp_gems_visual_composer_blocks[] = array(
			'name'                      => esc_html__( 'Hero Slider', 'gems' ),
			'base'                      => 'fastwp_gems_hero_slider_container',
			"icon"                      => get_template_directory_uri() . "/assets/img/logo-square.png",
			'as_parent'                 => array('only' => 'fastwp_gems_hero_slider_item'),
            'category'                  => esc_html__('Gems Elements', 'gems'),
			'content_element'           => true,
			'show_settings_on_create'   => false,
			"params"                    => array(
				array(
					"save_always" 	=> true,
					"type" 			=> 'dropdown',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Next Preview Buttons", 'gems' ),
					"param_name" 	=> "next_prev",
					'value'			=> array(
        							        esc_html__( 'Visible', 'gems' )  => 1,
        						            esc_html__( 'Hidden', 'gems' )   => 0
        							    	),
					"default" 		=> '1',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"type" 			=> 'dropdown',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Bullets Navigation", 'gems' ),
					"param_name" 	=> "bullets",
					'value'			=> array(
        							        esc_html__( 'Visible', 'gems' )  => 1,
        						            esc_html__( 'Hidden', 'gems' )   => 0
        							    	),
					"default" 		=> '1',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"type" 			=> 'dropdown',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Slides", 'gems' ),
					"param_name" 	=> "slides",
					'value'			=> array(
        							        '1' => 1,
        						            '2' => 2,
                                            '3' => 3,
                                            '4' => 4,
                                            '5' => 5
        							    	),
					"default" 		=> '1',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"group"			=> esc_html__( 'Extra', 'gems' ),
					"type" 			=> 'textfield',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Extra Class", 'gems' ),
					"param_name" 	=> 'extra_class',
					"admin_label"	=> true,
					"description"	=> esc_html__("Use this options to add an extra class to element, you can use this for custom css",'gems')
				)
		    ),
			'js_view' => 'VcColumnView'
		);

		$fastwp_gems_visual_composer_blocks[] = array(
 			'name'              => esc_html( 'Slider Item', 'gems' ),
			'base'              => 'fastwp_gems_hero_slider_item',
			"icon"              => get_template_directory_uri() . "/assets/img/logo-square.png",
			'as_child'          => array('only' => 'fastwp_gems_hero_slider_container' ),
            'category'          => esc_html__('Gems Elements', 'gems'),
			'content_element'   => true,
			'params'            => array(
				array(
					"save_always"   => true,
					'type'          => 'textfield',
					'holder'        => 'div',
					'heading'       => esc_html__( 'Title', 'gems' ),
					'param_name'    => 'title',
					'value'         => 'Slide Title',
				),
				array(
					"save_always"   => true,
					'type'          => 'textarea',
					'holder'        => 'div',
					'heading'       => esc_html__( 'Content', 'gems' ),
					'param_name'    => 'text',
				),
    			array(
					"save_always" 	=> true,
					"type" 			=> 'attach_image',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Slide Image", 'gems' ),
					"param_name" 	=> 'image',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"type" 			=> 'dropdown',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Text Align", 'gems' ),
					"param_name" 	=> "text_align",
					'value'			=> array(
        							        esc_html__( 'Left', 'gems' )     => '',
        						            esc_html__( 'Center', 'gems' )   => 'center'
        							    	),
					"default" 		=> '',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"type" 			=> 'dropdown',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Text Color", 'gems' ),
					"param_name" 	=> "text_color",
					'value'			=> array(
        							        esc_html__( 'Black', 'gems' )     => '',
        						            esc_html__( 'White', 'gems' )   => 'white'
        							    	),
					"default" 		=> '',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"type" 			=> 'dropdown',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Visibility", 'gems' ),
					"param_name" 	=> "visibility",
					'value'			=> array(
        							        esc_html__( 'Visible', 'gems' )  => 1,
        						            esc_html__( 'Hidden', 'gems' )   => 0
							    	        ),
					"default" 		=> '1',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"group"			=> esc_html__( 'Extra', 'gems' ),
					"type" 			=> 'textfield',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Extra Class",'gems'),
					"param_name" 	=> 'extra_class',
					"admin_label"	=> true,
					"description"	=> esc_html__("Use this options to add an extra class to element, you can use this for custom css",'gems')
				)
			)
		);
	}

}

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) { class WPBakeryShortCode_fastwp_gems_hero_slider_container extends WPBakeryShortCodesContainer { } }
if ( class_exists( 'WPBakeryShortCode' ) ) { class WPBakeryShortCode_fastwp_gems_hero_slider_item extends WPBakeryShortCode { } }

?>