<?php

class FastwpGemsImage extends FastwpGemsShortcodeUtils {

	function __construct() {
		global $fastwp_gems_shortcodes;
		$fastwp_gems_shortcodes['fastwp_gems_image'] = array( 'class' => __CLASS__, 'function' => 'shortcode' );
		$this->vc_block();
	}

	public static function shortcode( $atts, $content ) {
		extract(shortcode_atts(array(
            'image'             => '',
			'type'			    => '',
            'extra_class'       => ''
		), $atts));

        if( empty( $image ) ) {
            return '';
        }

        $class = array();

        $class[] = in_array( $type, array( 'imgBorder', 'imgShadow' ) ) ? $type : 'imgBorder';

        if( !empty( $extra_class ) ) {
            $class[] = esc_attr( $extra_class );
        }

        $image = wp_get_attachment_image_src( $image, 'full' );

		$items_markup = sprintf( '<div class="%s">
                  <img src="%s" alt="" />
                </div>', implode( ' ', $class ), $image[0] );

        return $items_markup;
    }

	public static function vc_block() {
		global $fastwp_gems_visual_composer_blocks;

		$fastwp_gems_visual_composer_blocks[] = array(
			"name"      => esc_html__( 'Image Container', 'gems' ),
			"base"      => 'fastwp_gems_image',
			"icon" 		=> get_template_directory_uri() . "/assets/img/logo-square.png",
			"category"  => esc_html__( 'Gems Elements', 'gems' ),
			"params"    => array(
    			array(
					"save_always" 	=> true,
					"type" 			=> 'attach_image',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Image", 'gems' ),
					"param_name" 	=> 'image',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"type" 			=> 'dropdown',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Image Container Style", 'gems' ),
					"param_name" 	=> 'type',
					'value'			=> array(
        							        esc_html__( 'Border', 'gems' )   => 'imgBorder',
        							        esc_html__( 'Shadow', 'gems' )   => 'imgShadow',
        							    	),
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"group"			=> esc_html__( 'Extra', 'gems' ),
					"type" 			=> 'textfield',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Extra Class", 'gems' ),
					"param_name" 	=> 'extra_class',
					"admin_label"	=> true,
					"description"	=> esc_html__("Use this options to add an extra class to element, you can use this for custom css",'gems')
				)
 			)
        );

	}

}

?>