<?php

class FastwpGemsLineSeparator extends FastwpGemsShortcodeUtils {

	function __construct() {
		global $fastwp_gems_shortcodes;
		$fastwp_gems_shortcodes['fastwp_gems_lineseparator'] = array( 'class' => __CLASS__, 'function' => 'shortcode' );
		$this->vc_block();
	}

	public static function shortcode( $atts, $content ) {
		extract(shortcode_atts(array(
            'color'         => '#eee',
            'extra_class'   => ''
		), $atts));

        $class = array();

		$class[] = $line_id = 'fwp-line-' . rand( 1000, 9999 );

        if( !empty( $extra_class ) ) {
            $class[] = esc_attr( $extra_class );
        }

        $item_markup = '<div class="%s">
                            <div class="small-12 columns">
                              <div class="divider"></div>
                            </div>
                      </div>';

        if( !empty( $color ) ) {
            self::add_css( sprintf('.%s .divider{border-color:%s;}', $line_id, esc_html( $color ) ) );
        }

		return sprintf( $item_markup, implode( ' ', $class ) );
    }

	public static function vc_block() {
		global $fastwp_gems_visual_composer_blocks;

		$fastwp_gems_visual_composer_blocks[] = array(
			"name"      => esc_html__( 'Line Separator', 'gems' ),
			"base"      => 'fastwp_gems_lineseparator',
			"icon" 		=> get_template_directory_uri() . "/assets/img/logo-square.png",
			"category"  => esc_html__( 'Gems Elements', 'gems' ),
			"params"    => array(
				array(
					"save_always" 	=> true,
					"type" 			=> 'colorpicker',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Color", 'gems' ),
					"param_name" 	=> 'color',
					"value" 		=> '#eee',
					"admin_label"	=> true,
					"description"	=> esc_html__( "Modify line color", 'gems' )
				),
				array(
					"save_always" 	=> true,
					"group"			=> esc_html__( 'Extra', 'gems' ),
					"type" 			=> 'textfield',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Extra Class", 'gems' ),
					"param_name" 	=> 'extra_class',
					"admin_label"	=> true,
					"description"	=> esc_html__("Use this options to add an extra class to element, you can use this for custom css",'gems')
				)
 			)
        );

	}

}

?>