<?php

class FastwpGemsPriceTable extends FastwpGemsShortcodeUtils {

	function __construct() {
		global $fastwp_gems_shortcodes;
		$fastwp_gems_shortcodes['fastwp_gems_price_table_container'] = array( 'class' => __CLASS__, 'function' => 'shortcode_container' );
		$fastwp_gems_shortcodes['fastwp_gems_price_table_item'] = array( 'class' => __CLASS__, 'function' => 'shortcode' );
		$this->vc_block();
	}

	public static function shortcode_container( $atts, $content ){
		extract(shortcode_atts(array(
			'extra_class'	=> ''
		), $atts));


		return sprintf( '<div%s>%s</div>', ( !empty( $extra_class ) ? ' class="' . sanitize_html_class( $extra_class ) . '"' : '' ), do_shortcode( $content ) );
	}

	public static function shortcode( $atts, $content ) {

		extract(shortcode_atts(array(
            'title'         => 'Title',
            'currency'      => '$',
            'price'         => '9.99',
            'description'   => 'Plan description here',
            'link'          => '#',
            'size'          => 4,
            'default_style' => 'bgGray',
            'box_shadow'    => false,
            'title_color'   => 'rgb(10, 10, 10)',
            'list_color'    => 'rgb(10, 10, 10)',
            'background_color'=> 'rgb(242, 242, 242)',
            'price_color'   => 'rgb(10, 10, 10)',
            'description_color'=> 'rgba(21, 21, 21, 0.4)',
            'button_color'  => 'rgb(254, 254, 254)',
            'button_color_hov'=> 'rgb(254, 254, 254)',
            'button_bg'     => 'rgb(21, 21, 21)',
            'button_bg_hov' => 'rgb(18, 18, 18)',
            'visibility'    => true,
            'extra_class'   => ''
		), $atts));

        if( ! (boolean) $visibility ) return '';

        $class = array();

		$class[] = $table_id = 'fwp-pricetable-' . rand( 1000, 9999 );

        $tclass = array();

        if( !empty( $extra_class ) ) {
            $class[] = esc_attr( $extra_class );
        }

        $bg_types = array( 'bgGray' => 'bgGray', 'bgBlack' => 'pricingPopular bgBlack ' );

        if( in_array( $default_style, array( 'bgGray', 'bgBlack' ) ) ) {
            $tclass[] = $bg_types[$default_style];
        } else {
            $tclass[] = $bg_types['bgGray'];
        }

        if( (boolean) $box_shadow ) {
            $tclass[] = 'boxShadow';
        }

        $link = FastwpGemsUtils::url_from_vc( $link );

        $item_markup = '<div class="small-12 medium-%s columns %s">
              <div class="pricingTable %s">
                <span class="pricingTitle">%s</span>
                <div class="pricingPrice"><span class="pricingCurrency">%s</span>%s</div>
                <p class="pricingSubtitle">%s</p>';

                $list = explode( ',', $content );

                if( count( $list ) > 0 ) {
                $item_markup .= '<ul class="pricingFeatureList">';
                foreach( explode( ',', $content ) as $item ) {
                    $item_markup .= '<li>' . esc_html( $item ) . '</li>';
                }
                $item_markup .= '</ul>';
                }

                $item_markup .= '<a href="%s" target="%s" class="button%s expanded pricingButton">%s</a>
              </div>
            </div>';

        // set new style to this price table box
        if( !empty( $title_color ) ) {
            self::add_css( sprintf('.%s .pricingTitle{color:%s;}', $table_id, esc_html( $title_color ) ) );
        }
        if( !empty( $price_color ) ) {
            self::add_css( sprintf('.%s .pricingPrice{color:%s;}', $table_id, esc_html( $price_color ) ) );
        }
        if( !empty( $description_color ) ) {
            self::add_css( sprintf('.%s .pricingSubtitle{color:%s;}', $table_id, esc_html( $description_color ) ) );
        }
        if( !empty( $list_color ) ) {
            self::add_css( sprintf('.%s .pricingFeatureList li{color:%s;}', $table_id, esc_html( $list_color ) ) );
        }
        if( !empty( $background_color ) && empty( $default_style ) ) {
            self::add_css( sprintf('.%s .pricingTable{background:%s;}', $table_id, esc_html( $background_color ) ) );
        }
        if( !empty( $button_color ) && empty( $default_style ) ) {
            self::add_css( sprintf('.%s .button{color:%s;}', $table_id, esc_html( $button_color ) ) );
        }
        if( !empty( $button_color_hov ) && empty( $default_style ) ) {
            self::add_css( sprintf('.%s .button:hover{color:%s;}', $table_id, esc_html( $button_color_hov ) ) );
        }
        if( !empty( $button_bg ) && empty( $default_style ) ) {
            self::add_css( sprintf('.%s .button{background:%s;}', $table_id, esc_html( $button_bg ) ) );
        }
        if( !empty( $button_bg_hov ) && empty( $default_style ) ) {
            self::add_css( sprintf('.%s .button:hover{background:%s;}', $table_id, esc_html( $button_bg_hov ) ) );
        }

        //do_action('fwp_enqueue_script', '');

		return sprintf( $item_markup, ( in_array( (int) $size, array( 4, 6, 12 ) ) ? $size : 4 ), implode( ' ', $class ), implode( ' ', $tclass ), esc_html( $title ), esc_html( $currency ), esc_html( $price ), esc_html( $description ), esc_url( $link['url'] ), esc_html( $link['target'] ), ( $default_style == 'bgBlack' ? ' white' : '' ), esc_html( $link['title'] ) );

    }

	public static function vc_block(){
		global $fastwp_gems_visual_composer_blocks;

		$fastwp_gems_visual_composer_blocks[] = array(
			'name'                      => 'Price Table',
			'base'                      => 'fastwp_gems_price_table_container',
			"icon"                      => get_template_directory_uri() . "/assets/img/logo-square.png",
			'as_parent'                 => array( 'only' => 'fastwp_gems_price_table_item' ),
            'category'                  => esc_html__( 'Gems Elements', 'gems' ),
			"params"                    => array(
				array(
					"save_always" 	=> true,
					"type" 			=> 'textfield',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Extra Class",'gems'),
					"param_name" 	=> 'extra_class',
					"admin_label"	=> true,
					"description"	=> esc_html__("Use this options to add an extra class to element, you can use this for custom css",'gems')
				)
		    ),
			'js_view' => 'VcColumnView'
		);

		$fastwp_gems_visual_composer_blocks[] = array(
			'name'              => 'Price Table Item',
			'base'              => 'fastwp_gems_price_table_item',
			"icon"              => get_template_directory_uri() . "/assets/img/logo-square.png",
			'as_child'          => array('only' => 'fastwp_gems_price_table_container' ),
            'category'          => esc_html__('Gems Elements', 'gems'),
			'content_element'   => true,
			'params'            => array(
				array(
					"save_always"   => true,
					'type'          => 'textfield',
					'holder'        => 'div',
					'heading'       => esc_html__('Title', 'gems'),
					'param_name'    => 'title',
					'value'         => 'Title',
				),
				array(
					"save_always"   => true,
					'type'          => 'textfield',
					'holder'        => 'div',
					'heading'       => esc_html__('Price Currency', 'gems'),
					'param_name'    => 'currency',
					'value'         => '$',
				),
				array(
					"save_always"   => true,
					'type'          => 'textfield',
					'holder'        => 'div',
					'heading'       => esc_html__('Price', 'gems'),
					'param_name'    => 'price',
					'value'         => '9.99',
				),
				array(
					"save_always" 	=> true,
					"type" 			=> 'vc_link',
					"holder" 		=> false,
					"heading" 		=> esc_html__('Link','gems'),
					"param_name" 	=> "link",
					"admin_label"	=> false,
					"description" 	=> esc_html__("'Choose plan' link",'gems')
				 ),
				array(
					"save_always"   => true,
					'type'          => 'textarea',
					'holder'        => 'div',
					'heading'       => esc_html__('Description', 'gems'),
					'param_name'    => 'description',
					'value'         => esc_html__('Plan description here', 'gems'),
				),
				array(
					"save_always"   => true,
					'type'          => 'textarea_html',
					'holder'        => 'div',
					'heading'       => esc_html__('Content', 'gems'),
					'param_name'    => 'content',
					'value'         => esc_html__('Content goes here', 'gems'),
					'description'   => 'You can make a list using "comma" as separator.',
				),
				array(
					"save_always" 	=> true,
					"type" 			=> 'dropdown',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Size",'gems'),
					"param_name" 	=> "size",
					'value'			=> array(
        							        '1/3'   => 4,
        						            '2/3'   => 6,
                                            '3/3'   => 12
        							    	),
					"default" 		=> '4',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"type" 			=> 'dropdown',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Visibility",'gems'),
					"param_name" 	=> "visibility",
					'value'			=> array(
        							        'Visible'   => 1,
        						            'Hidden'    => 0,
        							    	),
					"default" 		=> '1',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"group"			=> 'Styling',
					"type" 			=> 'dropdown',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Box Style",'gems'),
					"param_name" 	=> "default_style",
					'value'			=> array(
                                            'Custom'  => '',
        							        'Black'   => 'bgBlack',
        						            'Gray'    => 'bgGray',
        							    	),
					"default" 		=> 'bgBlack',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"group"			=> 'Styling',
					"type" 			=> 'dropdown',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Box Shadow",'gems'),
					"param_name" 	=> "box_shadow",
					'value'			=> array(
        							        'No'   => 0,
        						            'Yes'  => 1
        							    	),
					"default" 		=> '0',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"group"			=> 'Styling',
					"type" 			=> 'colorpicker',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Title Color",'gems'),
					"param_name" 	=> 'title_color',
					"admin_label"	=> true,
					"description"	=> esc_html__("Default: rgb(10, 10, 10)",'gems')
				),
				array(
					"save_always" 	=> true,
					"group"			=> 'Styling',
					"type" 			=> 'colorpicker',
					"holder" 		=> false,
					"heading" 		=> esc_html__("List Items Color",'gems'),
					"param_name" 	=> 'list_color',
					"admin_label"	=> true,
					"description"	=> esc_html__("Default: rgb(10, 10, 10)",'gems')
				),
				array(
					"save_always" 	=> true,
					"group"			=> 'Styling',
					"type" 			=> 'colorpicker',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Price Color",'gems'),
					"param_name" 	=> 'price_color',
					"admin_label"	=> true,
					"description"	=> esc_html__("Default: rgb(10, 10, 10)",'gems')
				),
				array(
					"save_always" 	=> true,
					"group"			=> 'Styling',
					"type" 			=> 'colorpicker',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Description Color",'gems'),
					"param_name" 	=> 'description_color',
					"admin_label"	=> true,
					"description"	=> esc_html__("Default: rgba(21, 21, 21, 0.4)",'gems')
				),
				array(
					"save_always" 	=> true,
					"group"			=> 'Styling',
					"type" 			=> 'colorpicker',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Button Color",'gems'),
					"param_name" 	=> 'button_color',
					"admin_label"	=> true,
					"description"	=> esc_html__("Default: rgb(254, 254, 254)",'gems'),
                    "dependency"    => array( "element" => "default_style", "value" => array( "" ) )
				),
				array(
					"save_always" 	=> true,
					"group"			=> 'Styling',
					"type" 			=> 'colorpicker',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Button Color on Hover",'gems'),
					"param_name" 	=> 'button_color_hov',
					"admin_label"	=> true,
					"description"	=> esc_html__("Default: rgb(254, 254, 254)", 'gems'),
                    "dependency"    => array( "element" => "default_style", "value" => array( "" ) )
				),
				array(
					"save_always" 	=> true,
					"group"			=> 'Styling',
					"type" 			=> 'colorpicker',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Button Background",'gems'),
					"param_name" 	=> 'button_bg',
					"admin_label"	=> true,
					"description"	=> esc_html__("Default: rgb(21, 21, 21)",'gems'),
                    "dependency"    => array( "element" => "default_style", "value" => array( "" ) )
				),
				array(
					"save_always" 	=> true,
					"group"			=> 'Styling',
					"type" 			=> 'colorpicker',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Button Background on Hover",'gems'),
					"param_name" 	=> 'button_bg_hov',
					"admin_label"	=> true,
					"description"	=> esc_html__("Default: rgb(18, 18, 18)",'gems'),
                    "dependency"    => array( "element" => "default_style", "value" => array( "" ) )
				),
				array(
					"save_always" 	=> true,
					"group"			=> 'Styling',
					"type" 			=> 'colorpicker',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Background Color",'gems'),
					"param_name" 	=> 'background_color',
					"admin_label"	=> true,
					"description"	=> esc_html__("Default: rgb(242, 242, 242)",'gems'),
                    "dependency"    => array( "element" => "default_style", "value" => array( "" ) )
				),
				array(
					"save_always" 	=> true,
					"group"			=> 'Extra',
					"type" 			=> 'textfield',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Extra Class",'gems'),
					"param_name" 	=> 'extra_class',
					"admin_label"	=> true,
					"description"	=> esc_html__("Use this options to add an extra class to element, you can use this for custom css",'gems')
				)
			)
		);
	}

}

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) { class WPBakeryShortCode_fastwp_gems_price_table_container extends WPBakeryShortCodesContainer { } }
if ( class_exists( 'WPBakeryShortCode' ) ) { class WPBakeryShortCode_fastwp_gems_price_table_item extends WPBakeryShortCode { } }

?>