<?php

class FastwpGemsProgressBars extends FastwpGemsShortcodeUtils {

	function __construct() {
		global $fastwp_gems_shortcodes;
		$fastwp_gems_shortcodes['fastwp_gems_progress_bars_container'] = array( 'class' => __CLASS__, 'function' => 'shortcode_container' );
		$fastwp_gems_shortcodes['fastwp_gems_progress_bars_item'] = array( 'class' => __CLASS__, 'function' => 'shortcode' );
		$this->vc_block();
	}

	public static function shortcode_container( $atts, $content ){
		extract(shortcode_atts(array(
			'extra_class'	=> ''
		), $atts));

		$markup = '<div%s>
                    %s
                </div>';

        return sprintf( $markup, ( !empty( $extra_class ) ? ' class="' . sanitize_html_class( $extra_class ) . '"' : '' ), do_shortcode( $content ) );
	}

	public static function shortcode( $atts, $content ) {
		extract(shortcode_atts(array(
            'title'         => '',
            'image'         => '',
            'percent'       => 50,
            'data_refresh'  => 50,
            'data_speed'    => 2000,
            'visibility'    => true,
            'extra_class'   => ''
		), $atts));

        if( ! (boolean) $visibility ) return '';

        $item_markup = '<div class="progressBar%s">
                    <div class="skillName">%s<span class="timer float-right" data-from="0" data-to="%s" data-refresh-interval="%s" data-speed="%s">%s</span></div>
                    <div class="pro-bar-container">
                      <div style="width: %s;" class="pro-bar bar-%s animated" data-pro-bar-percent="%s" data-pro-bar-delay="400"></div>
                    </div>
                  </div>';

		return sprintf( $item_markup, ( !empty( $extra_class ) ? ' ' . sanitize_html_class( $extra_class ) : '' ), esc_html( $title ), $percent, (int) $data_refresh, (int) $data_speed, $percent, $percent . '%s', $percent, $percent );
	}

	public static function vc_block(){
		global $fastwp_gems_visual_composer_blocks;

		$fastwp_gems_visual_composer_blocks[] = array(
			'name'                      => esc_html( 'Progress Bars', 'gems' ),
			'base'                      => 'fastwp_gems_progress_bars_container',
			"icon"                      => get_template_directory_uri() . "/assets/img/logo-square.png",
			'as_parent'                 => array('only' => 'fastwp_gems_progress_bars_item'),
            'category'                  => esc_html__('Gems Elements', 'gems'),
			'content_element'           => true,
			'show_settings_on_create'   => false,
			"params"                    => array(
				array(
					"save_always" 	=> true,
					"type" 			=> 'textfield',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Extra Class",'gems'),
					"param_name" 	=> 'extra_class',
					"value" 		=> '',
					"admin_label"	=> true,
					"description"	=> esc_html__("Use this options to add an extra class to element, you can use this for custom css",'gems')
				)
		    ),
			'js_view' => 'VcColumnView'
		);

		$fastwp_gems_visual_composer_blocks[] = array(
			'name'              => 'Progress Bar',
			'base'              => 'fastwp_gems_progress_bars_item',
			"icon"              => get_template_directory_uri() . "/assets/img/logo-square.png",
			'as_child'          => array('only' => 'fwp_gems_progressbars_container' ),
            'category'          => esc_html__('Gems Elements', 'gems'),
			'content_element'   => true,
			'params'            => array(
				array(
					"save_always"   => true,
					'type'          => 'textfield',
					'holder'        => 'div',
					'heading'       => esc_html__( 'Title', 'gems' ),
					'param_name'    => 'title',
				),
				array(
					"save_always"   => true,
					'type'          => 'textfield',
					'holder'        => 'div',
					'heading'       => esc_html__('Value', 'gems'),
					'param_name'    => 'percent',
					'value'         => '100',
				),
				array(
					"save_always"   => true,
					"group"			=> 'Speed',
					'type'          => 'textfield',
					'holder'        => 'div',
					'heading'       => esc_html__('Data Refresh', 'gems'),
					'param_name'    => 'data_refresh',
					'value'         => '30',
				),
				array(
					"save_always"   => true,
					"group"			=> 'Speed',
					'type'          => 'textfield',
					'holder'        => 'div',
					'heading'       => esc_html__( 'Data Speed', 'gems' ),
					'param_name'    => 'data_speed',
					'value'         => '2000',
				),
				array(
					"save_always" 	=> true,
					"group"			=> 'Extra',
					"type" 			=> 'textfield',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Extra Class", 'gems' ),
					"param_name" 	=> 'extra_class',
					"admin_label"	=> true,
					"description"	=> esc_html__("Use this options to add an extra class to element, you can use this for custom css",'gems')
				)
			)
		);
	}

}

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) { class WPBakeryShortCode_fastwp_gems_progress_bars_container extends WPBakeryShortCodesContainer { } }
if ( class_exists( 'WPBakeryShortCode' ) ) { class WPBakeryShortCode_fastwp_gems_progress_bars_item extends WPBakeryShortCode { } }

?>