<?php

class FastwpGemsShareCurrentPage extends FastwpGemsShortcodeUtils {

	function __construct() {
		global $fastwp_gems_shortcodes;
		$fastwp_gems_shortcodes['fastwp_gems_shareicons'] = array( 'class' => __CLASS__, 'function' => 'shortcode' );
		$this->vc_block();
	}

	public static function shortcode( $atts, $content ) {
		extract(shortcode_atts(array(
            'text'          => '',
			'facebook'	    => 1,
			'pinterest'	    => 1,
			'google'		=> 1,
            'twitter'       => 1,
            'targetblank'   => 'true',
            'extra_class'	=> ''
		), $atts));

        $content_markup = '';
		$section_markup = '<p class="postShareIcons%s">
                            %s
                            %s
                        </p>';

        if( !empty( $alignment ) ) {
            $extra_class .= ' ' . $alignment;
        }

        $currentLink = get_permalink();
        $target      = (boolean) $targetblank ? '_blank' : '_self';

        foreach( array( 'facebook', 'pinterest', 'google', 'twitter' ) as $social ) {
            if( $social == 'facebook' && (boolean) $facebook ) $content_markup .= sprintf( '<a href="https://www.facebook.com/sharer/sharer.php?u=%s" target="%s"><i class="icon-facebook"></i></a>', $currentLink, $target );
            else if( $social == 'pinterest' && (boolean) $pinterest ) $content_markup .= sprintf( '<a href="https://www.pinterest.com/join/?next=/pin/create/button/?url=%s" target="%s"><i class="icon-pinterest"></i></a>', $currentLink, $target );
            else if( $social == 'google' && (boolean) $google ) $content_markup .= sprintf( '<a href="https://plus.google.com/share?url=%s" target="%s"><i class="icon-google-plus"></i></a>', $currentLink, $target );
            else if( $social == 'twitter' && (boolean) $twitter ) $content_markup .= sprintf( '<a href="https://twitter.com/login?redirect_after_login=/home?status=%s" target="%s"><i class="icon-twitter"></i></a>', $currentLink, $target );
        }

		return sprintf( $section_markup, ( !empty( $extra_class ) ? ' ' . esc_attr( trim( $extra_class ) ) : '' ), esc_html( $text ), $content_markup );
    }

	public static function vc_block(){
		global $fastwp_gems_visual_composer_blocks;

		$fastwp_gems_visual_composer_blocks[] = array(
			"name"      => esc_html__( 'Share Current Page', 'gems' ),
			"base"      => 'fastwp_gems_shareicons',
			"icon" 		=> get_template_directory_uri() . "/assets/img/logo-square.png",
			"category"  => esc_html__( 'Gems Elements', 'gems' ),
			"params"    => array(
				array(
					"save_always"   => true,
					'type'          => 'textfield',
					'holder'        => 'div',
					'heading'       => esc_html__( 'Text', 'gems' ),
					'param_name'    => 'text',
				),
				array(
				    "save_always" 	=> true,
                    "type"          => "checkbox",
                    "holder"        => false,
                    "heading"       => esc_html__( 'Facebook', 'gems' ),
                    "param_name"    => "facebook",
                    "admin_label"   => true,
                    "value"         => array( 'Share on Facebook button' => 'true' )
                ),
                array(
				    "save_always" 	=> true,
                    "type"          => "checkbox",
                    "holder"        => false,
                    "heading"       => esc_html__( 'Pinterest', 'gems' ),
                    "param_name"    => "pinterest",
                    "admin_label"   => true,
                    "value"         => array( 'Share on Pinterest button' => 'true' )
               ),
               array(
				    "save_always" 	=> true,
                    "type"          => "checkbox",
                    "holder"        => false,
                    "heading"       => esc_html__( 'Google+', 'gems' ),
                    "param_name"    => "google",
                    "admin_label"   => true,
                    "value"         => array( 'Show on Google+ button' => 'true' )
                ),
                array(
				    "save_always" 	=> true,
                    "type"          => "checkbox",
                    "holder"        => false,
                    "heading"       => esc_html__( 'Twitter', 'gems' ),
                    "param_name"    => "twitter",
                    "admin_label"   => true,
                    "value"         => array( 'Share on Twitter button' => 'true' )
                ),
                array(
				    "save_always" 	=> true,
                    "type"          => "checkbox",
					"group"			=> esc_html__( 'Attributes', 'gems' ),
                    "holder"        => false,
                    "heading"       => esc_html__( 'Open', 'gems' ),
                    "param_name"    => "targetblank",
                    "admin_label"   => true,
                    "value"         => array( 'Open links in new window' => 'true' )
                ),
				array(
					"save_always" 	=> true,
					"group"			=> esc_html__( 'Extra', 'gems' ),
					"type" 			=> 'textfield',
					"holder" 		=> false,
					"heading" 		=> esc_html__( 'Extra Class', 'gems' ),
					"param_name" 	=> 'extra_class',
					"admin_label"	=> true,
					"description"	=> esc_html__( 'Use this options to add an extra class to element, you can use this for custom css', 'gems' )
				)
 			)
        );

	}

}

?>