<?php

class FastwpGemsSimpleSlider extends FastwpGemsShortcodeUtils {

	function __construct() {
		global $fastwp_gems_shortcodes;
		$fastwp_gems_shortcodes['fastwp_gems_simple_slider_container'] = array( 'class' => __CLASS__, 'function' => 'shortcode_container' );
		$fastwp_gems_shortcodes['fastwp_gems_simple_slider_item'] = array( 'class' => __CLASS__, 'function' => 'shortcode' );
		$this->vc_block();
	}

	public static function shortcode_container( $atts, $content ){
		extract(shortcode_atts(array(
            'next_prev'     => true,
            'bullets'       => true,
            'slides'        => 1,
			'extra_class'	=> ''
		), $atts));

        self::set_vars( array( 'slides' => $slides ) );

        $swipper_id = rand( 1, 9999 );

        $class = array();

        $class[] = 'swiper-container swiper-fwp-' . $swipper_id;

        if( !empty( $extra_class ) ) {
            $class[] = esc_attr( $extra_class );
        }

        $markup = '';

        if( ( $show_hero_container = ( $slides > 1 && in_array( (int) $slides, array( 2, 3, 4, 5 ) ) ) ) ) {
            $markup .= '<div class="hero">';
        }

		$markup .= '<div class="%s"%s>
                      <div class="swiper-wrapper">
                        %s
                    </div>';

        if( (boolean) $bullets ) {

            $markup .= '<div class="swiper-pagination"></div>';

        }

        if( (boolean) $next_prev ) {

          $markup .= '<div class="swiper-button-next swiper-button-black"></div>
          <div class="swiper-button-prev swiper-button-black"></div>';

        }

        $markup .= '</div>';

        if( $show_hero_container ) {
            $markup .= '</div>';
        }

        ?>

        <script>
        (function($) {
            jQuery(window).on('load', function() {
                var swiper = new Swiper('.swiper-fwp-<?php echo (int) $swipper_id; ?>', {
                    pagination: '.swiper-pagination',
                    nextButton: '.swiper-button-next',
                    prevButton: '.swiper-button-prev',
                    paginationClickable: true,
                    autoplay: 3000,
                    autoplayDisableOnInteraction: false,
                    slidesPerView: 3,
                    spaceBetween: 30,
                    loop: true,
                    breakpoints: {
                      480: {
                        slidesPerView: 1,
                        spaceBetweenSlides: 10
                      },
                      768: {
                        slidesPerView: 2,
                        spaceBetweenSlides: 20
                      }
                    }
                });
            });
        })(jQuery);
        </script>

        <?php

        return sprintf( $markup, implode( ' ', $class ), ( $slides > 1 && in_array( (int) $slides, array( 2, 3, 4, 5 ) ) ? ' data-slides="' . (int) $slides . '"' : '' ), do_shortcode( $content ) );
    }

	public static function shortcode( $atts, $content ) {
		extract(shortcode_atts(array(
            'title'         => '',
            'image'         => '',
            'visibility'    => true,
            'extra_class'   => ''
		), $atts));

        if( ! (boolean) $visibility ) return '';

        $image = wp_get_attachment_image_src( $image, 'full' );

        $util_vars = self::get_vars();

        if( $util_vars['slides'] > 1 ) {

            return sprintf( '<div class="swiper-slide%s" style="background-image:url(\'%s\');  background-position:%s;">
                            <span class="highlighted">%s</span>
                          </div>', ( !empty( $extra_class ) ? ' ' . sanitize_html_class( $extra_class ) : '' ), $image[0], '50% 50%', esc_html( $title ) );

        } else {

            return sprintf( '<div class="swiper-slide%s">
                            <img src="%s" alt="" />
                          </div>', ( !empty( $extra_class ) ? ' ' . sanitize_html_class( $extra_class ) : '' ), $image[0] );

        }
    }

	public static function vc_block(){
		global $fastwp_gems_visual_composer_blocks;

		$fastwp_gems_visual_composer_blocks[] = array(
			'name'                      => esc_html__( 'Simple Slider', 'gems' ),
			'base'                      => 'fastwp_gems_simple_slider_container',
			"icon"                      => get_template_directory_uri() . "/assets/img/logo-square.png",
			'as_parent'                 => array('only' => 'fastwp_gems_simple_slider_item'),
            'category'                  => esc_html__('Gems Elements', 'gems'),
			'content_element'           => true,
			'show_settings_on_create'   => false,
			"params"                    => array(
				array(
					"save_always" 	=> true,
					"type" 			=> 'dropdown',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Next Preview Buttons", 'gems' ),
					"param_name" 	=> "next_prev",
					'value'			=> array(
        							        esc_html__( 'Visible', 'gems' )  => 1,
        						            esc_html__( 'Hidden', 'gems' )   => 0
        							    	),
					"default" 		=> '1',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"type" 			=> 'dropdown',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Bullets Navigation", 'gems' ),
					"param_name" 	=> "bullets",
					'value'			=> array(
        							        esc_html__( 'Visible', 'gems' )  => 1,
        						            esc_html__( 'Hidden', 'gems' )   => 0
        							    	),
					"default" 		=> '1',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"type" 			=> 'dropdown',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Slides", 'gems' ),
					"param_name" 	=> "slides",
					'value'			=> array(
        							        '1' => 1,
        						            '2' => 2,
                                            '3' => 3,
                                            '4' => 4,
                                            '5' => 5
        							    	),
					"default" 		=> '1',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"group"			=> esc_html__( 'Extra', 'gems' ),
					"type" 			=> 'textfield',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Extra Class", 'gems' ),
					"param_name" 	=> 'extra_class',
					"admin_label"	=> true,
					"description"	=> esc_html__("Use this options to add an extra class to element, you can use this for custom css",'gems')
				)
		    ),
			'js_view' => 'VcColumnView'
		);

		$fastwp_gems_visual_composer_blocks[] = array(
 			'name'              => esc_html( 'Simple Slider Item', 'gems' ),
			'base'              => 'fastwp_gems_simple_slider_item',
			"icon"              => get_template_directory_uri() . "/assets/img/logo-square.png",
			'as_child'          => array('only' => 'fwp_gems_gallery_container' ),
            'category'          => esc_html__('Gems Elements', 'gems'),
			'content_element'   => true,
			'params'            => array(
				array(
					"save_always"   => true,
					'type'          => 'textfield',
					'holder'        => 'div',
					'heading'       => esc_html__( 'Title', 'gems' ),
					'description'   => esc_html__( "Works with at least 2 slides", 'gems' ),
					'param_name'    => 'title',
					'value'         => 'Slide Title',
				),
    			array(
					"save_always" 	=> true,
					"type" 			=> 'attach_image',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Slide Image", 'gems' ),
					"param_name" 	=> 'image',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"type" 			=> 'dropdown',
					"holder" 		=> false,
					"heading" 		=> esc_html__( "Visibility", 'gems' ),
					"param_name" 	=> "visibility",
					'value'			=> array(
        							        esc_html__( 'Visible', 'gems' )  => 1,
        						            esc_html__( 'Hidden', 'gems' )   => 0
        							    	),
					"default" 		=> '1',
					"admin_label"	=> true
				),
				array(
					"save_always" 	=> true,
					"group"			=> esc_html__( 'Extra', 'gems' ),
					"type" 			=> 'textfield',
					"holder" 		=> false,
					"heading" 		=> esc_html__("Extra Class",'gems'),
					"param_name" 	=> 'extra_class',
					"value" 		=> '',
					"admin_label"	=> true,
					"description"	=> esc_html__("Use this options to add an extra class to element, you can use this for custom css",'gems')
				)
			)
		);
	}

}

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) { class WPBakeryShortCode_fastwp_gems_simple_slider_container extends WPBakeryShortCodesContainer { } }
if ( class_exists( 'WPBakeryShortCode' ) ) { class WPBakeryShortCode_fastwp_gems_simple_slider_item extends WPBakeryShortCode { } }

?>