<?php

class FastwpGemsTabs extends FastwpGemsShortcodeUtils {

	function __construct() {
        global $fastwp_gems_shortcodes;

    	$fastwp_gems_shortcodes['fastwp_gems_tabs_container'] = array( 'class' => __CLASS__, 'function' => 'shortcode_container' );
    	$fastwp_gems_shortcodes['fastwp_gems_tabs_item'] = array( 'class' => __CLASS__, 'function' => 'shortcode' );
    	$this->vc_block();
	}

	public static function shortcode_container( $atts, $content ) {
		extract( shortcode_atts( array(
			'type'          => '',
            'multi'         => false,
            'orientation'   => '',
			'extra_class'   => ''
		), $atts ) );

		$class = array();

		if( !empty( $extra_class ) ) {
			$class[] = esc_attr( $extra_class );
		}

        $tabs_id = rand( 1,9999 );

        self::set_vars( array( 'type' => $type, 'tabs_id' => $tabs_id ) );

        if( $type == 'accordions' ) {
            return sprintf( '<ul class="accordion%s" data-accordion%s>%s</ul>', ( !empty( $class ) ? ' ' . implode( ' ', $class ) : '' ), ( (boolean) $multi ? ' data-multi-expand="true"' : '' ), do_shortcode( $content ) );
        }

        global $fastwp_gems_tabs;

        $fastwp_gems_tabs[$tabs_id] = array();

        do_shortcode( $content );

        $titles = $contents = '';
        if( !empty( $fastwp_gems_tabs[$tabs_id] ) && is_array( $fastwp_gems_tabs[$tabs_id] ) ) {
            foreach( $fastwp_gems_tabs[$tabs_id] as $item ) {
                foreach( $item as $key => $value ) {
                    if( $key == 'Title' ) {
                        $titles .= $value;
                    } else if( $key == 'Content' ) {
                        $contents .= $value;
                    }
                }
            }
        }

        if( $orientation == 'vertical' ) {

            return sprintf( '
            <div class="row collapse%s">
              <div class="small-12 medium-3 large-3 columns">
                <ul class="tabs vertical" data-tabs id="tabs-vert-' . $tabs_id . '">%s</ul>
              </div>

              <div class="small-12 medium-9 large-9 columns">
                <div class="tabs-content vertical" data-tabs-content="tabs-vert-' . $tabs_id . '">%s</div>
              </div>
            </div>', ( !empty( $class ) ? ' ' . implode( ' ', $class ) : '' ), $titles, $contents );

        } else {

            return sprintf( '<ul id="tabs-' . $tabs_id . '" class="tabs%s" data-tabs>%s</ul>
            <div class="tabs-content" data-tabs-content="tabs-' . $tabs_id . '">
                %s
            </div>', ( !empty( $class ) ? ' ' . implode( ' ', $class ) : '' ), $titles, $contents );

        }
	}

	public static function shortcode( $atts, $content ) {
		extract(shortcode_atts(array(
			'title'         => '',
            'active'        => false,
			'extra_class'   => ''
		), $atts) );

		$class = array();

		if( ( boolean ) $active ) {
			$class[] = 'is-active';
		}

		if( !empty( $extra_class ) ) {
			$class[] = esc_attr( $extra_class );
		}

		$util_vars = self::get_vars();

        if( $util_vars['type'] == 'accordions' ) {
            $markup = '<li class="accordion-item%s" data-accordion-item>
                  <a class="accordion-title">%s</a>
                  <div class="accordion-content" data-tab-content>
                    %s
                  </div>
                </li>';

            return sprintf( $markup, ( !empty( $class ) ? ' ' . implode( ' ', $class ) : '' ), esc_html( $title ), $content );
        } else {
            global $fastwp_gems_tabs;
            $fastwp_gems_tabs[$util_vars['tabs_id']][] = array(
            'Title'     => sprintf( '<li class="tabs-title%s"><a href="#panel' . ( $panel_id = rand( 1,9999 ) ) . '">%s</a></li>', ( !empty( $class ) ? ' ' . implode( ' ', $class ) : '' ), esc_html( $title ) ),
            'Content'   => sprintf( '<div class="tabs-panel%s" id="panel' . $panel_id . '">%s</div>', ( ( boolean ) $active ? ' is-active' : '' ), $content ) );
        }
	}

	public static function vc_block() {

    	global $fastwp_gems_visual_composer_blocks;

    	$fastwp_gems_visual_composer_blocks[] = array(
			'name'                      => esc_html__( 'Tabs', 'gems' ),
			'base'                      => 'fastwp_gems_tabs_container',
			"icon"                      => get_template_directory_uri() . "/assets/img/logo-square.png",
			'as_parent'                 => array('only' => 'fastwp_gems_tabs_item'),
		    'category'                  => esc_html__( 'Gems Elements', 'gems' ),
			'content_element'           => true,
			'show_settings_on_create'   => true,
			"params"                    => array(
				array(
					"save_always"   => true,
					"type"          => 'dropdown',
					"holder"        => false,
					"heading"       => esc_html__( "Type", 'gems' ),
					"param_name"    => "type",
					'value'         => array(
    										esc_html__( 'Accordions', 'gems' )=> 'accordions',
    										esc_html__( 'Tabs', 'gems' )      => ''
                                            ),
					"admin_label"   => true,
					"description"   => esc_html__( "Choose the style type for Tabs", 'gems' )
                ),
                array(
                    "save_always"   => true,
                    "type"          => 'dropdown',
                    "holder"        => false,
                    "heading"       => esc_html__( "Multi Expand", 'gems' ),
                    "param_name"    => "multi",
                    'value'         => array(
                                            esc_html__( 'No', 'gems' )   => 0,
                                            esc_html__( 'Yes', 'gems' )  => 1,
                                            ),
                    "default"       => '0',
                    "admin_label"   => true,
                    "dependency"    => array( "element" => "type", "value" => array( "accordions" ) )
                ),
                array(
                    "save_always"   => true,
                    "type"          => 'dropdown',
                    "holder"        => false,
                    "heading"       => esc_html__( "Orientation", 'gems' ),
                    "param_name"    => "orientation",
                    'value'         => array(
                                            esc_html__( 'Horizontal', 'gems' )    => '',
                                            esc_html__( 'Vertical', 'gems' )      => 'vertical',
                                            ),
                    "default"       => '',
                    "admin_label"   => true,
                    "dependency"    => array( "element" => "type", "value" => array( "" ) )
                ),
				array(
					"save_always"   => true,
					"group"         => 'Extra',
					"type"          => 'textfield',
					"holder"        => false,
					"heading"       => esc_html__( "Extra Class", 'gems' ),
					"param_name"    => 'extra_class',
					"admin_label"   => true,
					"description"   => esc_html__( "Use this options to add an extra class to element, you can use this for custom css", 'gems' )
				)     
			),
    		'js_view' => 'VcColumnView',
    	);

    	$fastwp_gems_visual_composer_blocks[] = array(
			'name'              => 'Tab Item',
			'base'              => 'fastwp_gems_tabs_item',
			"icon"              => get_template_directory_uri() . "/assets/img/logo-square.png",    
			'as_child'          => array( 'only' => 'fastwp_gems_tabs_container' ),
			'category'          => esc_html__( 'Gems Elements', 'gems' ),
			'content_element'   => true,
			'params'            => array(
				array(
					"save_always"   => true,
					'type'          => 'textfield',
					'holder'        => 'div',
					'heading'       => esc_html__( 'Title', 'gems' ),
					'param_name'    => 'title',
					'value'         => 'Title',
				),
				array(
					"save_always"   => true,
					'type'          => 'textarea_html',
					'heading'       => esc_html__( 'Content', 'gems' ),
					'param_name'    => 'content',
				),
                array(
                    "save_always"   => true,
                    "type"          => 'dropdown',
                    "holder"        => false,
                    "heading"       => esc_html__( "Active Tab", 'gems' ),
                    "param_name"    => "active",
                    'value'         => array(
                                            esc_html__( 'No', 'gems' )   => 0,
                                            esc_html__( 'Yes', 'gems' )  => 1,
                                            ),
                    "default"       => '0',
                    "admin_label"   => true
                ),
				array(
					"save_always"   => true,
					"group"         => 'Extra',
					"type"          => 'textfield',
					"holder"        => false,
					"heading"       => esc_html__( "Extra Class", 'gems' ),
					"param_name"    => 'extra_class',
					"admin_label"   => true,
					"description"   => esc_html__("Use this options to add an extra class to element, you can use this for custom css", 'gems' )
				)
			)
       );   
    }

}

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) { class WPBakeryShortCode_fastwp_gems_tabs_container extends WPBakeryShortCodesContainer { } }
if ( class_exists( 'WPBakeryShortCode' ) ) { class WPBakeryShortCode_fastwp_gems_tabs_item extends WPBakeryShortCode { } }

?>