<?php

define('CHILD_THEME_URL', get_stylesheet_directory_uri());

global
	$fastwp_gems_custom_posts_with_id,
	$fastwp_gems_visual_composer_blocks,
	$fastwp_gems_shortcodes,
	$fastwp_gems_data;

if(!isset($fastwp_gems_custom_js)){
	global $fastwp_gems_custom_js;
	$fastwp_gems_custom_js = array();
}

global $fastwp_gems_load_scripts;
$fastwp_gems_load_scripts = array(
	'foundation.min',
	'app',
	'plugins',
    'vendor/jquery.cookie',
    'vendor/what-input.min',
    'custom' => false,
    '//maps.googleapis.com/maps/api/js?key=' . ( !empty( $fastwp_gems_data['fwp_gmap_key'] ) ? esc_html( $fastwp_gems_data['fwp_gmap_key'] ) : '' ) => false
);

global $fastwp_gems_load_styles;
$fastwp_gems_load_styles = array(
	'foundation.min',
	'app.min',
    'icomoon',
    'gems-colors',
    'responsive',
    '//fonts.googleapis.com/css?family=Anaheim%7CQuattrocento+Sans:400,400italic,700'
);

if( isset( $fastwp_gems_load_styles_child ) ) {
	$fastwp_gems_load_styles = array_merge( $fastwp_gems_load_styles, $fastwp_gems_load_styles_child );
}

if( isset( $fastwp_gems_load_scripts_child ) ) {
	$fastwp_gems_load_scripts = array_merge( $fastwp_gems_load_scripts, $fastwp_gems_load_scripts_child );
}

$fastwp_gems_custom_posts = array(
	'fwp_portfolio' => array(
		'name' 				 => esc_html__( 'Portfolio', 'gems' ),
		'single' 			 => esc_html__( 'Portfolio Item', 'gems' ),
		'multiple' 			 => esc_html__( 'Portfolio Items', 'gems' ),
		'settings'	=> array(
			'public'             => true,
			'publicly_queryable' => true,
			'show_ui'            => true,
			'show_in_menu'       => true,
			'query_var'          => true,
			'rewrite'            => array( 'slug' => ( isset( $fastwp_gems_data['fastwp_portfolio_slug'] ) ? $fastwp_gems_data['fastwp_portfolio_slug'] : 'project' ) ),
			'capability_type'    => 'post',
			'has_archive'        => true,
			'hierarchical'       => false,
			'menu_position'      => null,
			'supports'           => array( 'title', 'author', 'editor', 'excerpt', 'thumbnail' )
		)
	),
	'fwp_faq' => array(
		'name' 				 => esc_html__( 'FAQ', 'gems' ),
		'single' 			 => esc_html__( 'FAQ Item', 'gems' ),
		'multiple' 			 => esc_html__( 'FAQ Items', 'gems' ),
		'settings'	=> array(
			'public'             => true,
			'publicly_queryable' => true,
			'show_ui'            => true,
			'show_in_menu'       => true,
			'query_var'          => true,
			'rewrite'            => array( 'slug' => 'fwp_faq' ),
			'capability_type'    => 'post',
			'has_archive'        => true,
			'hierarchical'       => false,
			'menu_position'      => null,
			'supports'           => array( 'title', 'author', 'editor', 'excerpt', 'thumbnail' )
		)
	),
	'fwp_faq' => array(
		'name' 				 => esc_html__( 'FAQ', 'gems' ),
		'single' 			 => esc_html__( 'FAQ Item', 'gems' ),
		'multiple' 			 => esc_html__( 'FAQ Items', 'gems' ),
		'settings'	=> array(
			'public'             => true,
			'publicly_queryable' => true,
			'show_ui'            => true,
			'show_in_menu'       => true,
			'query_var'          => true,
			'rewrite'            => array( 'slug' => 'fwp_faq' ),
			'capability_type'    => 'post',
			'has_archive'        => true,
			'hierarchical'       => false,
			'menu_position'      => null,
			'supports'           => array( 'title', 'author', 'editor', 'excerpt', 'thumbnail' )
		)
	),
	'fwp_menu' => array(
		'name' 				 => esc_html__( 'Menu Prices', 'gems' ),
		'single' 			 => esc_html__( 'Menu Prices Item', 'gems' ),
		'multiple' 			 => esc_html__( 'Menu Prices Items', 'gems' ),
		'settings'	=> array(
			'public'             => true,
			'publicly_queryable' => true,
			'show_ui'            => true,
			'show_in_menu'       => true,
			'query_var'          => true,
			'rewrite'            => array( 'slug' => 'fwp_menu' ),
			'capability_type'    => 'post',
			'has_archive'        => true,
			'hierarchical'       => false,
			'menu_position'      => null,
			'supports'           => array( 'title', 'editor' )
		)
	)
);

$fastwp_gems_custom_taxonomies = array(
	'portfolio-category' => array(
		'post_type' => 'fwp_portfolio',
		'settings' => array(
            'label' => esc_html__( 'Portfolio Categories', 'gems' ),
		    'hierarchical'        => true,
		    'show_ui'             => true,
		    'show_admin_column'   => true,
		    'query_var'           => true,
			'show_in_nav_menus'	  => true,
		    'rewrite'             => array( 'slug' => 'portfolio-category' )
		 )
	),
	'faq-category' => array(
		'post_type' => 'fwp_faq',
		'settings' => array(
            'label' => esc_html__( 'FAQ Categories', 'gems' ),
		    'hierarchical'        => true,
		    'show_ui'             => true,
		    'show_admin_column'   => true,
		    'query_var'           => true,
			'show_in_nav_menus'	  => true,
		    'rewrite'             => array( 'slug' => 'faq-category' )
		 )
	 ),
	'menu-category' => array(
		'post_type' => 'fwp_menu',
		'settings' => array(
            'label' => esc_html__( 'Menu Prices Categories', 'gems' ),
		    'hierarchical'        => true,
		    'show_ui'             => true,
		    'show_admin_column'   => true,
		    'query_var'           => true,
			'show_in_nav_menus'	  => true,
		    'rewrite'             => array( 'slug' => 'menu-category' )
		 )
	 )
);

do_action('fwp_custom_tax_set');

global $fastwp_gems_required_plugins;
$fastwp_gems_required_plugins = array(
		array(
            'name'			    => esc_html__( 'FastwpGems Theme extension', 'gems' ), // The plugin name
            'slug'			    => 'fastwp-gems-theme-extension', // The plugin slug (typically the folder name)
            'source'			=> get_template_directory_uri() . '/fastwp/plugins/fastwp-gems-theme-extension.zip', // The plugin source
            'required'			=> true, // If false, the plugin is only 'recommended' instead of required
            'version'			=> '1.0', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'	=> false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'=> true, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'		=> '', // If set, overrides default API URL and points to an external URL
        ),
		array(
            'name'			    => esc_html__( 'FastwpRedux extension for Gems Theme', 'gems' ), // The plugin name
            'slug'			    => 'fastwp-redux-gems-extension', // The plugin slug (typically the folder name)
            'source'			=> get_template_directory_uri() . '/fastwp/plugins/fastwp-redux-gems-extension.zip', // The plugin source
            'required'			=> true, // If false, the plugin is only 'recommended' instead of required
            'version'			=> '1.0', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'	=> false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'=> true, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'		=> '', // If set, overrides default API URL and points to an external URL
        ),
        array(
            'name'              => esc_html__( 'WPBakery Visual Composer', 'gems' ), // The plugin name
            'slug'              => 'js_composer', // The plugin slug (typically the folder name)
            'source'            => get_template_directory_uri() . '/fastwp/plugins/js_composer.zip', // The plugin source
            'required'          => true, // If false, the plugin is only 'recommended' instead of required
            'version'           => '4.11', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'  => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'      => '', // If set, overrides default API URL and points to an external URL
        ),
        array(
            'name'      		=> esc_html__( 'Contact Form 7', 'gems' ),
            'slug'      		=> 'contact-form-7',
            'required'  		=> true,
            'force_activation'  => false,
        )

    );

$fastwp_gems_custom_posts_with_id = array( 'fwp_portfolio' => array( 'thumb' ) );
$fastwp_gems_themeUrl 	           = (defined('CHILD_THEME_URL'))? CHILD_THEME_URL : get_template_directory_uri();

require_once get_template_directory() . '/extend/extend.actions.php';
require_once get_template_directory() . '/extend/extend.filters.php';
require_once get_template_directory() . '/extend/extend.shortcodes.utils.php';
require_once get_template_directory() . '/extend/extend.visual-composer.php';
require_once get_template_directory() . '/extend/extend.shortcodes.php';
require_once get_template_directory() . '/extend/extend.widgets.php'; 
require_once get_template_directory() . '/extend/extend.blog.php';
require_once get_template_directory() . '/extend/extend.social.networks.php';