<?php

class FastwpGemsUI {

    static function getMenu( $menu = 'primary' ) {
        if( empty( $menu ) ) {
            $menu = 'primary';
        }
        if( !has_nav_menu( $menu ) ) return '';

        $override = 0;

        if( is_page() && ( $override_menu = get_post_meta( get_the_ID(), 'p_override_menu', true ) ) && !empty( $override_menu ) ) {
            $override = $override_menu;
        }

        $menu_class = new FastwpGemsWalker( $menu, $override );

        if( basename( get_page_template() ) == 'template-page-one-page.php' ) {
            $menu_class->set_onePage();
        }

        return $menu_class->get_menu();
    }

	static function displayMenu( $echo = true, $menu = '' ) {
    	if( $echo == false ) return FastwpGemsUI_getMenu( $menu );
        else echo FastwpGemsUI_getMenu( $menu );
	}

	static function HeaderLogo( $echo = true ) {
		$header_logo = '<div class="logo-wrapper">
					    	<h1 id="logo"><a href="' . esc_url( home_url( '/' ) ) . '"></a></h1>
					    </div>';
		if( $echo == false ) {
			return 	$header_logo;
		} else {
			echo 	$header_logo;
		}
	}

	static function showPreloader( $forceVisible = false ) {
		global $fastwp_gems_data;
		if( $forceVisible || !empty( $fastwp_gems_data['show_preloader'] ) ) {
		    return true;
		}
        return false;
	}

	static function getPreloaderStatusForCurrentPage() {
		return true;
	}

	static function add_custom_css() {
		global $fastwp_gems_custom_shortcode_css, $fastwp_gems_data;

		$fastwp_gems_custom_shortcode_css .= isset( $fastwp_gems_data['custom_css'] ) ? $fastwp_gems_data['custom_css'] : '';

		if( isset( $fastwp_gems_data['nav_bg_color'] ) && !empty( $fastwp_gems_data['nav_bg_color'] ) ) {
			if( is_array( $fastwp_gems_data['nav_bg_color'] ) ){
				$fastwp_gems_data['nav_bg_color'] = FastWP::hex2rgba($fastwp_gems_data['nav_bg_color']['color'],$fastwp_gems_data['nav_bg_color']['alpha']);
			}
			$fastwp_gems_custom_shortcode_css .= sprintf('nav.navbar.affix { background-color:%s;}', $fastwp_gems_data['nav_bg_color']);
		}

        if( !empty( $fastwp_gems_data['body_font'] ) ) {
            $body_font = array();
            $body_font[] = !empty( $fastwp_gems_data['body_font']['font-family'] ) ? 'font-family: ' . $fastwp_gems_data['body_font']['font-family'] . '!important' : '';
            $body_font[] = !empty( $fastwp_gems_data['body_font']['font-weight'] ) ? 'font-weight: ' . $fastwp_gems_data['body_font']['font-weight'] . '!important' : '';
            $body_font[] = !empty( $fastwp_gems_data['body_font']['text-align'] ) ? 'text-align: ' . $fastwp_gems_data['body_font']['text-align'] . '!important' : '';
            $body_font[] = !empty( $fastwp_gems_data['body_font']['font-size'] ) ? 'font-size: ' . $fastwp_gems_data['body_font']['font-size'] . '!important' : '';
            $body_font[] = !empty( $fastwp_gems_data['body_font']['line-height'] ) ? 'line-height: ' . $fastwp_gems_data['body_font']['line-height'] . '!important' : '';
            $body_font[] = !empty( $fastwp_gems_data['body_font']['color'] ) ? 'color: ' . $fastwp_gems_data['body_font']['color'] . '!important' : '';
            if( !empty( $body_font ) ) {
                $fastwp_gems_custom_shortcode_css .= sprintf( 'body{%s}', implode( '; ', array_filter( $body_font ) ) );
            }
        }

        if( !empty( $fastwp_gems_data['h1_font'] ) ) {
            $h1_font = array();
            $h1_font[] = !empty( $fastwp_gems_data['h1_font']['font-family'] ) ? 'font-family: ' . $fastwp_gems_data['h1_font']['font-family'] . '!important' : '';
            $h1_font[] = !empty( $fastwp_gems_data['h1_font']['font-weight'] ) ? 'font-weight: ' . $fastwp_gems_data['h1_font']['font-weight'] . '!important' : '';
            $h1_font[] = !empty( $fastwp_gems_data['h1_font']['text-align'] ) ? 'text-align: ' . $fastwp_gems_data['h1_font']['text-align'] . '!important' : '';
            $h1_font[] = !empty( $fastwp_gems_data['h1_font']['font-size'] ) ? 'font-size: ' . $fastwp_gems_data['h1_font']['font-size'] . '!important' : '';
            $h1_font[] = !empty( $fastwp_gems_data['h1_font']['line-height'] ) ? 'line-height: ' . $fastwp_gems_data['h1_font']['line-height'] . '!important' : '';
            $h1_font[] = !empty( $fastwp_gems_data['h1_font']['color'] ) ? 'color: ' . $fastwp_gems_data['h1_font']['color'] . '!important' : '';
            if( !empty( $h1_font ) ) {
                $fastwp_gems_custom_shortcode_css .= sprintf( 'h1{%s}', implode( '; ', array_filter( $h1_font ) ) );
            }
        }

        if( !empty( $fastwp_gems_data['h2_font'] ) ) {
            $h2_font = array();
            $h2_font[] = !empty( $fastwp_gems_data['h2_font']['font-family'] ) ? 'font-family: ' . $fastwp_gems_data['h2_font']['font-family'] . '!important' : '';
            $h2_font[] = !empty( $fastwp_gems_data['h2_font']['font-weight'] ) ? 'font-weight: ' . $fastwp_gems_data['h2_font']['font-weight'] . '!important' : '';
            $h2_font[] = !empty( $fastwp_gems_data['h2_font']['text-align'] ) ? 'text-align: ' . $fastwp_gems_data['h2_font']['text-align'] . '!important' : '';
            $h2_font[] = !empty( $fastwp_gems_data['h2_font']['font-size'] ) ? 'font-size: ' . $fastwp_gems_data['h2_font']['font-size'] . '!important' : '';
            $h2_font[] = !empty( $fastwp_gems_data['h2_font']['line-height'] ) ? 'line-height: ' . $fastwp_gems_data['h2_font']['line-height'] . '!important' : '';
            $h2_font[] = !empty( $fastwp_gems_data['h2_font']['color'] ) ? 'color: ' . $fastwp_gems_data['h2_font']['color'] . '!important' : '';
            if( !empty( $h2_font ) ) {
                $fastwp_gems_custom_shortcode_css .= sprintf( 'h2{%s}', implode( '; ', array_filter( $h2_font ) ) );
            }
        }

        if( !empty( $fastwp_gems_data['h3_font'] ) ) {
            $h3_font = array();
            $h3_font[] = !empty( $fastwp_gems_data['h3_font']['font-family'] ) ? 'font-family: ' . $fastwp_gems_data['h3_font']['font-family'] . '!important' : '';
            $h3_font[] = !empty( $fastwp_gems_data['h3_font']['font-weight'] ) ? 'font-weight: ' . $fastwp_gems_data['h3_font']['font-weight'] . '!important' : '';
            $h3_font[] = !empty( $fastwp_gems_data['h3_font']['text-align'] ) ? 'text-align: ' . $fastwp_gems_data['h3_font']['text-align'] . '!important' : '';
            $h3_font[] = !empty( $fastwp_gems_data['h3_font']['font-size'] ) ? 'font-size: ' . $fastwp_gems_data['h3_font']['font-size'] . '!important' : '';
            $h3_font[] = !empty( $fastwp_gems_data['h3_font']['line-height'] ) ? 'line-height: ' . $fastwp_gems_data['h3_font']['line-height'] . '!important' : '';
            $h3_font[] = !empty( $fastwp_gems_data['h3_font']['color'] ) ? 'color: ' . $fastwp_gems_data['h3_font']['color'] . '!important' : '';
            if( !empty( $h3_font ) ) {
                $fastwp_gems_custom_shortcode_css .= sprintf( 'h3{%s}', implode( '; ', array_filter( $h3_font ) ) );
            }
        }

        if( !empty( $fastwp_gems_data['h4_font'] ) ) {
            $h4_font = array();
            $h4_font[] = !empty( $fastwp_gems_data['h4_font']['font-family'] ) ? 'font-family: ' . $fastwp_gems_data['h4_font']['font-family'] . '!important' : '';
            $h4_font[] = !empty( $fastwp_gems_data['h4_font']['font-weight'] ) ? 'font-weight: ' . $fastwp_gems_data['h4_font']['font-weight'] . '!important' : '';
            $h4_font[] = !empty( $fastwp_gems_data['h4_font']['text-align'] ) ? 'text-align: ' . $fastwp_gems_data['h4_font']['text-align'] . '!important' : '';
            $h4_font[] = !empty( $fastwp_gems_data['h4_font']['font-size'] ) ? 'font-size: ' . $fastwp_gems_data['h4_font']['font-size'] . '!important' : '';
            $h4_font[] = !empty( $fastwp_gems_data['h4_font']['line-height'] ) ? 'line-height: ' . $fastwp_gems_data['h4_font']['line-height'] . '!important' : '';
            $h4_font[] = !empty( $fastwp_gems_data['h4_font']['color'] ) ? 'color: ' . $fastwp_gems_data['h4_font']['color'] . '!important' : '';
            if( !empty( $h4_font ) ) {
                $fastwp_gems_custom_shortcode_css .= sprintf( 'h4{%s}', implode( '; ', array_filter( $h4_font ) ) );
            }
        }

        if( !empty( $fastwp_gems_data['h5_font'] ) ) {
            $h5_font = array();
            $h5_font[] = !empty( $fastwp_gems_data['h5_font']['font-family'] ) ? 'font-family: ' . $fastwp_gems_data['h5_font']['font-family'] . '!important' : '';
            $h5_font[] = !empty( $fastwp_gems_data['h5_font']['font-weight'] ) ? 'font-weight: ' . $fastwp_gems_data['h5_font']['font-weight'] . '!important' : '';
            $h5_font[] = !empty( $fastwp_gems_data['h5_font']['text-align'] ) ? 'text-align: ' . $fastwp_gems_data['h5_font']['text-align'] . '!important' : '';
            $h5_font[] = !empty( $fastwp_gems_data['h5_font']['font-size'] ) ? 'font-size: ' . $fastwp_gems_data['h5_font']['font-size'] . '!important' : '';
            $h5_font[] = !empty( $fastwp_gems_data['h5_font']['line-height'] ) ? 'line-height: ' . $fastwp_gems_data['h5_font']['line-height'] . '!important' : '';
            $h5_font[] = !empty( $fastwp_gems_data['h5_font']['color'] ) ? 'color: ' . $fastwp_gems_data['h5_font']['color'] . '!important' : '';
            if( !empty( $h5_font ) ) {
                $fastwp_gems_custom_shortcode_css .= sprintf( 'h5{%s}', implode( '; ', array_filter( $h5_font ) ) );
            }
        }

        if( !empty( $fastwp_gems_data['h6_font'] ) ) {
            $h6_font = array();
            $h6_font[] = !empty( $fastwp_gems_data['h6_font']['font-family'] ) ? 'font-family: ' . $fastwp_gems_data['h6_font']['font-family'] . '!important' : '';
            $h6_font[] = !empty( $fastwp_gems_data['h6_font']['font-weight'] ) ? 'font-weight: ' . $fastwp_gems_data['h6_font']['font-weight'] . '!important' : '';
            $h6_font[] = !empty( $fastwp_gems_data['h6_font']['text-align'] ) ? 'text-align: ' . $fastwp_gems_data['h6_font']['text-align'] . '!important' : '';
            $h6_font[] = !empty( $fastwp_gems_data['h6_font']['font-size'] ) ? 'font-size: ' . $fastwp_gems_data['h6_font']['font-size'] . '!important' : '';
            $h6_font[] = !empty( $fastwp_gems_data['h6_font']['line-height'] ) ? 'line-height: ' . $fastwp_gems_data['h6_font']['line-height'] . '!important' : '';
            $h6_font[] = !empty( $fastwp_gems_data['h6_font']['color'] ) ? 'color: ' . $fastwp_gems_data['h6_font']['color'] . '!important' : '';
            if( !empty( $h6_font ) ) {
                $fastwp_gems_custom_shortcode_css .= sprintf( 'h6{%s}', implode( '; ', array_filter( $h6_font ) ) );
            }
        }

        if( !empty( $fastwp_gems_data['menu_font'] ) ) {
            $nav_font = array();
            $nav_font[] = !empty( $fastwp_gems_data['menu_font']['font-family'] ) ? 'font-family: ' . $fastwp_gems_data['menu_font']['font-family'] . '!important' : '';
            $nav_font[] = !empty( $fastwp_gems_data['menu_font']['font-weight'] ) ? 'font-weight: ' . $fastwp_gems_data['menu_font']['font-weight'] . '!important' : '';
            $nav_font[] = !empty( $fastwp_gems_data['menu_font']['text-align'] ) ? 'text-align: ' . $fastwp_gems_data['menu_font']['text-align'] . '!important' : '';
            $nav_font[] = !empty( $fastwp_gems_data['menu_font']['font-size'] ) ? 'font-size: ' . $fastwp_gems_data['menu_font']['font-size'] . '!important' : '';
            $nav_font[] = !empty( $fastwp_gems_data['menu_font']['line-height'] ) ? 'line-height: ' . $fastwp_gems_data['menu_font']['line-height'] . '!important' : '';
            $nav_font[] = !empty( $fastwp_gems_data['menu_font']['color'] ) ? 'color: ' . $fastwp_gems_data['menu_font']['color'] . '!important' : '';
            if( !empty( $nav_font ) ) {
                $fastwp_gems_custom_shortcode_css .= sprintf( '#nav a{%s}', implode( '; ', array_filter( $nav_font ) ) );
            }
        }

        wp_enqueue_style( 'custom-style', get_template_directory_uri() . '/assets/css/custom_css.css' );
        wp_add_inline_style( 'custom-style', $fastwp_gems_custom_shortcode_css );
	}

	static function alert( $type, $message ) {
		return sprintf('<div class="alert alert-%s" role="alert">%s</div>', $type, $message);
	}

    static function showMultiPage() {
        global $fastwp_gems_one_page_sections;
        if( !empty( $fastwp_gems_one_page_sections ) ) {
            foreach( $fastwp_gems_one_page_sections as $name => $id ) {
                $p = get_page( $id );
                echo '<div id="' . $name . '">';
                echo apply_filters( 'the_content', $p->post_content );
                echo '</div>';
            }
        }
    }
}