<?php

// You may replace $redux_opt_name with a string if you wish. If you do so, change loader.php
// as well as all the instances below.

if ( !function_exists( "fastwp_add_metaboxes" ) ) {
    function fastwp_add_metaboxes( $metaboxes ) {

        $page   = array();

		$page[] = array(
            'icon'          => 'el-icon-lines',
            'icon_class'    => 'icon_large',
            'title'         => esc_html__( 'Menu', 'gems' ),
            'fields' => array(
            array(
                'id'       => 'p_nav_style',
                'type'     => 'select',
                'title'    => esc_html__( 'Navigation Type', 'gems' ),
                'options'  => array(
                                    'inherit'   => esc_html__( 'Inherit from theme options ', 'gems' ),
                                    1   => esc_html__( 'Default Menu', 'gems' ),
                                    2   => esc_html__( 'Overlay Menu', 'gems' ),
                                    3   => esc_html__( 'Simple Menu', 'gems' ),
                                    ),
                'default'  => 'inherit'
            ),
            array(
                'id'       => 'p_fwp_logo',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__ ('Logo', 'gems' ),
                'default'  => array(
                    'url' => get_template_directory_uri() . '/assets/img/logo.png'
                ),
                'required'  => array( 'p_nav_style', 'not', 'inherit' )
            ),
            array(
                'id'       => 'p_fwp_logo_hd',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__ ('Logo HD', 'gems' ),
                'default'  => array(
                    'url' => get_template_directory_uri() . '/assets/img/logo.png'
                ),
                'required'  => array( 'p_nav_style', 'not', 'inherit' )
            ),
            array(
                'id'       => 'p_menu_background',
                'type'     => 'media',
                'url'      => true,
                'title'    => esc_html__ ('Background Image', 'gems' ),
                'required'  => array( 'p_nav_style', '=', array( 2 ) )
            ),
            array(
                'id'        => 'p_menu_contact_info_label',
                'type'      => 'text',
                'title'     => esc_html__( 'Contact Info Label', 'gems' ),
                'required'  => array( 'p_nav_style', '=', array( 2 ) )
            ),
            array(
                'id'        => 'p_menu_contact_info',
                'type'      => 'textarea',
                'title'     => esc_html__( 'Contact Info', 'gems' ),
                'required'  => array( 'p_nav_style', 'equals', array( 2 ) )
            ),
            array(
                'id'       => 'p_override_menu',
                'type'     => 'select',
                'title'    => esc_html__( 'Override Menu', 'gems' ),
                'options'  => ( function_exists( 'fastwp_gems_menus' ) ? fastwp_gems_menus() : array() )
            ),
            )
        );

		$page[] = array(
            'icon'          => 'el el-adjust-alt',
            'icon_class'    => 'icon_large',
            'title'         => esc_html__( 'Footer', 'gems' ),
            'fields' => array(
            array(
                'id'       => 'p_footer_type',
                'type'     => 'select',
                'title'    => esc_html__( 'Footer Style', 'gems' ),
                'options'  => array(
                                    'inherit'   => esc_html__( 'Inherit from theme options ', 'gems' ),
                                    'small'     => esc_html__( 'Small footer', 'gems' ),
                                    'big'       => esc_html__( 'Big footer', 'gems' )
                                    ),
                'default'  => 'inherit',
            ),
            array(
                'id'        => 'p_page_before_footer',
                'type'      => 'select',
                'title'     => esc_html__( 'Content Above Footer', 'gems' ),
                'subtitle'  => esc_html__( 'Choose one of your pages to be present in all pages above footer area', 'gems' ),
                'options'   => ( function_exists( 'fastwp_gems_getPostIdAndTitle' ) ? fastwp_gems_getPostIdAndTitle() : array() ),
                'required'  => array( 'p_footer_type', 'equals', 'big' )
            ),
            array(
                'id'       => 'p_footer_bg_color',
                'type'     => 'select',
                'title'    => esc_html__( 'Background', 'gems' ),
                'options'  => ( array( '' => esc_html__( 'Default', 'gems' ) ) + FastwpGemsShortcodeUtils::is_valid( 'colors', true, false ) ),
                'required'  => array( 'p_footer_type', 'equals', 'small' )
            )
            )
        );

        // Post
        $post = array();
        $post[] = array(
            'icon'          => 'el el-adjust-alt',
            'icon_class'    => 'icon_large',
            'title'         => esc_html__( 'Main Options', 'gems' ),
            'fields'        => array(
            array(
                'id'       => 'post_related',
                'type'     => 'select',
                'multi'    => true,
                'title'    => esc_html__( 'Related Posts', 'gems'),
                'desc'     => esc_html__( 'Related posts that appear on this post single.', 'gems' ),
                'options'  => ( function_exists( 'fastwp_gems_all_posts' ) ? fastwp_gems_all_posts( 'post' ) : array() )
            )
            )
        );

        $portfolio  = array();
    	$portfolio[]= array(
            'icon'          => 'el-icon-wrench',
            'icon_class'    => 'icon_large',
            'title'         => esc_html__('General', 'gems'),
            'fields'        => array(
            array(
                 'id'       => 'portfolio_size',
                 'type'     => 'select',
                 'title'    => esc_html__( 'Image size', 'gems' ),
                 'subtitle' => esc_html__( 'Applies to Masonry Mixed layout.', 'gems' ),
                 'options'  => array(
                                    ''      => esc_html__( 'Default/Normal size', 'gems' ),
                                    'wide'  => esc_html__( 'Wide', 'gems' )
                 )
            ),
            )
        );

		$portfolio[] = array(
            'icon'          => 'el el-adjust-alt',
            'icon_class'    => 'icon_large',
            'title'         => esc_html__( 'Single Page', 'gems' ),
            'fields' => array(
            array(
                 'id'       => 'portfolio_content_type',
                 'type'     => 'select',
                 'title'    => esc_html__( 'After navigation content', 'gems' ),
                 'subtitle' => esc_html__( 'Applies to Masonry Mixed layout.', 'gems' ),
                 'options'  => array(
                                    ''          => esc_html__( 'Related projects', 'gems' ),
                                    'content'   => esc_html__( 'Content', 'gems' )
                 )
            ),
            array(
                'id'        => 'project_related',
                'type'      => 'select',
                'multi'     => true,
                'title'     => esc_html__( 'Related projects', 'gems'),
                'desc'      => esc_html__( 'Related projects that appear on this project single.', 'gems' ),
                'options'   => ( function_exists( 'fastwp_gems_all_posts' ) ? fastwp_gems_all_posts() : array() ),
                'required'  => array( 'portfolio_content_type', 'not', 'content' )
            ),
    		array(
    			'id'        => 'project_content',
    			'type'      => 'textarea',
    			'title'     => esc_html__( 'Content after navigation', 'gems' ),
    			'subtitle'  => esc_html__( 'Use this option to display some content after navigation', 'gems' ),
                'required'  => array( 'portfolio_content_type', 'equals', 'content' )
    		),
            )
        );


        // Video Post

        $video      = array();
		$video[]    = array(
        	'icon' => 'el-icon-screen',
        	'fields' => array(
        		array(
        			'id'        => 'post-video-url',
        			'type'      => 'text',
        			'title'     => esc_html__('Video URL', 'gems'),
        			'subtitle'  => esc_html__('YouTube or Vimeo video URL', 'gems'),
        			'default'   => '',
        		),
        		array(
        			'id' => 'post-video-html',
        			'type' => 'textarea',
        			'title' => esc_html__('Embadded video', 'gems'),
        			'subtitle' => esc_html__('Use this option when the video does not come from YouTube or Vimeo', 'gems'),
        			'default' => '',
        		),
        	)
        );

        // Gagllery Post

        $gallery    = array();
    	$gallery[]  = array(
        	'icon' => 'el-icon-screen',
        	'fields' => array(
        		array(
        			'id'        => 'post-gallery',
        			'type'      => 'slides',
        			'title'     => esc_html__('Gallery Slider', 'gems'),
        			'subtitle'  => esc_html__('Upload images or add from media library.', 'gems'),
        			'placeholder'   => array(
        				'title'         => esc_html__('Title', 'gems'),
        			),
        			'show' => array(
        				'title' => true,
        				'description' => false,
        				'url' => false,
        			)
        		),
        	)
        );

        // Audio Post

        $audio      = array();
   		$audio[]    = array(
        	'icon' => 'el-icon-screen',
        	'fields' => array(
        		array(
        			'id'        => 'post-audio-url',
        			'type'      => 'text',
        			'title'     => esc_html__('Audio URL', 'gems'),
        			'subtitle'  => esc_html__('Audio file URL in format: mp3, ogg, wav.', 'gems'),
        			'default'   => '',
        		),
        	)
        );

        // Declare your metaboxes

        $metaboxes   = array();
        $metaboxes[] = array(
            'id'            => 'page_options',
            'title'         => esc_html__( 'Options', 'gems' ),
            'post_types'    => array( 'page' ),
            'position'      => 'normal', // normal, advanced, side
            'priority'      => 'high', // high, core, default, low - Priorities of placement
            'sections'      => $page,
        );
        $metaboxes[] = array(
		    'id'            => 'post-options',
            'title'         => esc_html__( 'Options', 'gems' ),
            'post_types'    => array( 'post' ),
            'position'      => 'normal', // normal, advanced, side
            'priority'      => 'high', // high, core, default, low - Priorities of placement
            'sections'      => $post
        );
        $metaboxes[] = array(
            'id'            => 'portfolio_options',
            'title'         => esc_html__( 'Options', 'gems' ),
            'post_types'    => array( 'fwp_portfolio' ),
            'position'      => 'normal', // normal, advanced, side
            'priority'      => 'high', // high, core, default, low - Priorities of placement
            'sections'      => $portfolio,
        );
        $metaboxes[] = array(
		    'id'            => 'video-post-options',
            'title'         => esc_html__( 'Options', 'gems' ),
            'post_types'    => array('post'),
            'position'      => 'normal', // normal, advanced, side
            'priority'      => 'high', // high, core, default, low - Priorities of placement
            'sections'      => $video,
            'post_format'   => array('video'),
        );
        $metaboxes[] = array(
		    'id'            => 'gallery-post-options',
            'title'         => esc_html__( 'Options', 'gems' ),
            'post_types'    => array('post'),
            'position'      => 'normal', // normal, advanced, side
            'priority'      => 'high', // high, core, default, low - Priorities of placement
            'sections'      => $gallery,
            'post_format'   => array('gallery'),
        );
        $metaboxes[] = array(
		    'id'            => 'audio-post-options',
            'title'         => esc_html__( 'Options', 'gems' ),
            'post_types'    => array('post'),
            'post_format'   => array('audio'),
            'position'      => 'normal', // normal, advanced, side
            'priority'      => 'high', // high, core, default, low - Priorities of placement
            'sections'      => $audio,
        );

        return $metaboxes;
    }

    add_action("redux/metaboxes/fastwp_gems_data/boxes", 'fastwp_add_metaboxes');

}