<?php

$fastwp_gems_options = fastwp_gems_get_option( array( 'footer_copyright_left', 'footer_description', 'footer_links' ) );

if( is_page() ) {
    $fastwp_gems_meta_type = get_post_meta( get_the_ID(), 'p_footer_type', true );
    if( in_array( $fastwp_gems_meta_type, array( 'small', 'big' ) ) ) {
        $fastwp_gems_options['footer_type'] = $fastwp_gems_meta_type;
        if( $fastwp_gems_meta_type == 'small' ) {
            $fastwp_gems_options['footer_bg_color'] = get_post_meta( get_the_ID(), 'p_footer_bg_color', true );
        }
    }
}

?>

<footer>
    <div class="row expanded footerWrapper">

      <div class="small-12 medium-7 large-8 columns">
        <div class="row">
          <div class="small-12 columns">
            <div id="footerCopy">
              <?php echo FastwpGemsUtils::fwp_escape( $fastwp_gems_options['footer_copyright_left'] ); ?>
            </div>
          </div>
        </div>
      </div>

      <div class="small-12 medium-5 large-4 columns show-for-medium">
        <div class="row clearfix">
          <div class="small-6 medium-7 large-9 columns">
            <div id="footerInfo">
              <?php echo FastwpGemsUtils::fwp_escape( $fastwp_gems_options['footer_description'] ); ?>
            </div>
          </div>

          <div class="small-6 medium-5 large-3 columns">
            <div id="footerSocials">
                <?php if( is_array( $fastwp_gems_options['footer_links'] ) ) {
                    $fastwp_fl = '';
                    foreach( $fastwp_gems_options['footer_links'] as $fastwp_link ) {
                        $fastwp_l = explode( '|', $fastwp_link );
                        if( isset( $fastwp_l[0] ) && isset( $fastwp_l[1] ) )
                        $fastwp_fl .= '<a href="' . esc_url( trim( $fastwp_l[1] ) ) . '"' . ( !empty( $fastwp_l[2] ) ? ' target="' . esc_html( $fastwp_l[2] ) . '"' : '' ) . '>' . esc_attr( trim( $fastwp_l[0] ) ) . '</a>';
                    }
                    echo rtrim( $fastwp_fl, ' / ' );
                } ?>
            </div>
          </div>
        </div>
      </div>

    </div>
</footer>

</div>

<?php

global $fastwp_gems_add_in_footer;
if( !empty( $fastwp_gems_add_in_footer ) ) echo implode( "\n", $fastwp_gems_add_in_footer );

wp_footer(); ?>

</body>
</html>