<?php

define( 'FASTWP_GEMS_CORE_VERSION', '1.0.0' );
define( 'FASTWP_GEMS_FWP_CORE_URI', sprintf( '%s/fastwp/', get_template_directory() ) );
define( 'FASTWP_GEMS_FWP_EXTEND_URI', sprintf( '%s/extend/', get_template_directory() ) );
defined( 'FASTWP_GEMS_MAIN_THEME_URL' ) or define( 'FASTWP_GEMS_MAIN_THEME_URL', get_template_directory_uri() );
defined( 'FASTWP_GEMS_CHILD_THEME_URL' ) or define( 'FASTWP_GEMS_CHILD_THEME_URL', get_stylesheet_directory_uri() );
defined( 'FASTWP_GEMS_SHORTCODE_CLASSNAME' ) or define( 'FASTWP_GEMS_SHORTCODE_CLASSNAME', 'fastwp_gems_theme_shortcodes' );

define( 'FASTWP_GEMS_LIB_URI', FASTWP_GEMS_FWP_CORE_URI . 'lib/' );
define( 'FASTWP_GEMS_LIB_URL', FASTWP_GEMS_MAIN_THEME_URL . '/fastwp/lib/' );
defined( 'FASTWP_GEMS_MENU_CHILD_CLASS' ) or define( 'FASTWP_GEMS_MENU_CHILD_CLASS', '' );
defined( 'FASTWP_GEMS_AUTOLOAD_SCRIPTS' ) or define( 'FASTWP_GEMS_AUTOLOAD_SCRIPTS', false );
defined( 'FASTWP_GEMS_AUTOLOAD_STYLES' ) or define( 'FASTWP_GEMS_AUTOLOAD_STYLES', true );

require_once get_template_directory() . '/fastwp.theme.functions.php';

// Disable VC Front End Editor
if( function_exists( 'vc_disable_frontend' ) ){
	vc_disable_frontend();
}

if( !isset( $fastwp_gems_custom_js ) ){
	global $fastwp_gems_custom_js;
	$fastwp_gems_custom_js = array();
}

if( !isset( $fastwp_gems_raw_js ) ){
	global $fastwp_gems_raw_js;
	$fastwp_gems_raw_js = '';
}

require_once FASTWP_GEMS_FWP_CORE_URI . 'fastwp.utils.php';
require_once FASTWP_GEMS_FWP_CORE_URI . 'fastwp.core.php';
require_once FASTWP_GEMS_FWP_CORE_URI . 'fastwp.core.functions.php';
require_once FASTWP_GEMS_FWP_CORE_URI . 'fastwp.core.actions.php';
require_once FASTWP_GEMS_FWP_CORE_URI . 'fastwp.core.vc-config.php';
require_once FASTWP_GEMS_FWP_CORE_URI . 'fastwp.user.interface.php';
require_once FASTWP_GEMS_FWP_CORE_URI . 'fastwp.abstract.php';
require_once FASTWP_GEMS_FWP_CORE_URI . 'fastwp.settings.php';
require_once FASTWP_GEMS_FWP_CORE_URI . 'fastwp.meta.php';
require_once FASTWP_GEMS_FWP_CORE_URI . 'fastwp.menu.php';

if( is_admin() ) {
	require_once FASTWP_GEMS_LIB_URI . 'php/plugin.activator.php';
	require_once FASTWP_GEMS_FWP_CORE_URI . 'fastwp.admin.menu.php';
}

if( ! isset( $content_width ) )
	$content_width = 960;

if( is_singular() ) wp_enqueue_script( 'comment-reply' );

if( function_exists( 'vc_set_default_editor_post_types' ) ) {
	$list = array( 'page', 'fwp_portfolio' );
	vc_set_default_editor_post_types( $list );
}