<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $width
 * @var $css
 * @var $offset
 * @var $content - shortcode content
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Column
 */   
$el_class = $width = $css = $offset = '';
$extra = $gems_parallax_elem = $gems_box_floating = $gems_container_box = $gems_container_classes = $gems_box = $gems_box_bg = $gems_box_shadow = $gems_parallax_box = $gems_box_classes = '';

$output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$width = wpb_translateColumnWidthToSpan( $width );
$width = vc_column_offset_class_merge( $offset, $width );

$css_classes = array(
	$this->getExtraClass( $el_class ),
	'wpb_column',
	'vc_column_container',
	$width,
);

if( vc_shortcode_custom_css_has_property( $css, array('border', 'background') ) ) {
	$css_classes[] = 'vc_col-has-fill';
}

$wrapper_attributes = array();

if( !empty( $gems_parallax_elem ) ) {
    $css_classes[] = 'parallaxElem';
}

if( !empty( $gems_box ) && in_array( $gems_box_floating, array( 'floatingBoxLeft', 'floatingBoxRight', 'introBox', 'introBoxCentered' ) ) ) {
    $css_classes[] = $gems_box_floating;
}

global $fastwp_gems_hidden_current_row;
if( empty( $fastwp_gems_hidden_current_row ) ) {

    if( !empty( $gems_box ) ) {

        if( !empty( $gems_box_classes ) ) {
            foreach( explode( ',', $gems_box_classes ) as $extra_box_class ) {
                $css_classes[] = $extra_box_class;
            }
        }

        $css_classes[] = FastwpGemsShortcodeUtils::is_valid( 'colors', $gems_box_bg, '' );
        if( !empty( $gems_box_shadow ) ) {
            $css_classes[] = 'boxShadow';
        }
        if( !empty( $gems_parallax_box ) ) {
            $css_classes[] = 'parallaxElem';
        }
        $css_classes = array_filter( $css_classes );

    }
}

if( !empty( $extra ) ) {
    foreach( explode( ',', $extra ) as $extra_class ) {
        $css_classes[] = $extra_class;
    }
}

$css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), $this->settings['base'], $atts ) );
$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

global $fastwp_gems_equal_cols;
if( !empty( $fastwp_gems_equal_cols ) ) {
    $wrapper_attributes[] = 'data-equalizer-watch';
}

if( empty( $fastwp_gems_hidden_current_row ) ) {
    $output .= '<div ' . implode( ' ', $wrapper_attributes ) . '>';
    if( !empty( $gems_box ) && $gems_box_floating != 'introBoxCentered' ) {
        $output .= '<div>';
    }
}

//$output .= '<div class="vc_column-inner ' . esc_attr( trim( vc_shortcode_custom_css_class( $css ) ) ) . '">';
//$output .= '<div class="wpb_wrapper">';
$output .= wpb_js_remove_wpautop( $content );
//$output .= '</div>';
//$output .= '</div>';

if( empty( $fastwp_gems_hidden_current_row ) ) {
    if( !empty( $gems_box ) && $gems_box_floating != 'introBoxCentered' ) {
        $output .= '</div>';
    }
    $output .= '</div>';
}

echo $output;
